var Zepto = function() {
		function L(t) {
			return null == t ? String(t) : j[S.call(t)] || "object"
		}
		function Z(t) {
			return "function" == L(t)
		}
		function $(t) {
			return null != t && t == t.window
		}
		function _(t) {
			return null != t && t.nodeType == t.DOCUMENT_NODE
		}
		function D(t) {
			return "object" == L(t)
		}
		function R(t) {
			return D(t) && !$(t) && Object.getPrototypeOf(t) == Object.prototype
		}
		function M(t) {
			return "number" == typeof t.length
		}
		function k(t) {
			return s.call(t, function(t) {
				return null != t
			})
		}
		function z(t) {
			return t.length > 0 ? n.fn.concat.apply([], t) : t
		}
		function F(t) {
			return t.replace(/::/g, "/").replace(/([A-Z]+)([A-Z][a-z])/g, "$1_$2").replace(/([a-z\d])([A-Z])/g, "$1_$2").replace(/_/g, "-").toLowerCase()
		}
		function q(t) {
			return t in f ? f[t] : f[t] = new RegExp("(^|\\s)" + t + "(\\s|$)")
		}
		function H(t, e) {
			return "number" != typeof e || c[F(t)] ? e : e + "px"
		}
		function I(t) {
			var e, n;
			return u[t] || (e = a.createElement(t), a.body.appendChild(e), n = getComputedStyle(e, "").getPropertyValue("display"), e.parentNode.removeChild(e), "none" == n && (n = "block"), u[t] = n), u[t]
		}
		function V(t) {
			return "children" in t ? o.call(t.children) : n.map(t.childNodes, function(t) {
				return 1 == t.nodeType ? t : void 0
			})
		}
		function B(n, i, r) {
			for (e in i) r && (R(i[e]) || A(i[e])) ? (R(i[e]) && !R(n[e]) && (n[e] = {}), A(i[e]) && !A(n[e]) && (n[e] = []), B(n[e], i[e], r)) : i[e] !== t && (n[e] = i[e])
		}
		function U(t, e) {
			return null == e ? n(t) : n(t).filter(e)
		}
		function J(t, e, n, i) {
			return Z(e) ? e.call(t, n, i) : e
		}
		function X(t, e, n) {
			null == n ? t.removeAttribute(e) : t.setAttribute(e, n)
		}
		function W(e, n) {
			var i = e.className,
				r = i && i.baseVal !== t;
			return n === t ? r ? i.baseVal : i : void(r ? i.baseVal = n : e.className = n)
		}
		function Y(t) {
			var e;
			try {
				return t ? "true" == t || ("false" == t ? !1 : "null" == t ? null : /^0/.test(t) || isNaN(e = Number(t)) ? /^[\[\{]/.test(t) ? n.parseJSON(t) : t : e) : t
			} catch (i) {
				return t
			}
		}
		function G(t, e) {
			e(t);
			for (var n = 0, i = t.childNodes.length; i > n; n++) G(t.childNodes[n], e)
		}
		var t, e, n, i, C, N, r = [],
			o = r.slice,
			s = r.filter,
			a = window.document,
			u = {},
			f = {},
			c = {
				"column-count": 1,
				columns: 1,
				"font-weight": 1,
				"line-height": 1,
				opacity: 1,
				"z-index": 1,
				zoom: 1
			},
			l = /^\s*<(\w+|!)[^>]*>/,
			h = /^<(\w+)\s*\/?>(?:<\/\1>|)$/,
			p = /<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:]+)[^>]*)\/>/gi,
			d = /^(?:body|html)$/i,
			m = /([A-Z])/g,
			g = ["val", "css", "html", "text", "data", "width", "height", "offset"],
			v = ["after", "prepend", "before", "append"],
			y = a.createElement("table"),
			x = a.createElement("tr"),
			b = {
				tr: a.createElement("tbody"),
				tbody: y,
				thead: y,
				tfoot: y,
				td: x,
				th: x,
				"*": a.createElement("div")
			},
			w = /complete|loaded|interactive/,
			E = /^[\w-]*$/,
			j = {},
			S = j.toString,
			T = {},
			O = a.createElement("div"),
			P = {
				tabindex: "tabIndex",
				readonly: "readOnly",
				"for": "htmlFor",
				"class": "className",
				maxlength: "maxLength",
				cellspacing: "cellSpacing",
				cellpadding: "cellPadding",
				rowspan: "rowSpan",
				colspan: "colSpan",
				usemap: "useMap",
				frameborder: "frameBorder",
				contenteditable: "contentEditable"
			},
			A = Array.isArray ||
		function(t) {
			return t instanceof Array
		};
		return T.matches = function(t, e) {
			if (!e || !t || 1 !== t.nodeType) return !1;
			var n = t.webkitMatchesSelector || t.mozMatchesSelector || t.oMatchesSelector || t.matchesSelector;
			if (n) return n.call(t, e);
			var i, r = t.parentNode,
				o = !r;
			return o && (r = O).appendChild(t), i = ~T.qsa(r, e).indexOf(t), o && O.removeChild(t), i
		}, C = function(t) {
			return t.replace(/-+(.)?/g, function(t, e) {
				return e ? e.toUpperCase() : ""
			})
		}, N = function(t) {
			return s.call(t, function(e, n) {
				return t.indexOf(e) == n
			})
		}, T.fragment = function(e, i, r) {
			var s, u, f;
			return h.test(e) && (s = n(a.createElement(RegExp.$1))), s || (e.replace && (e = e.replace(p, "<$1></$2>")), i === t && (i = l.test(e) && RegExp.$1), i in b || (i = "*"), f = b[i], f.innerHTML = "" + e, s = n.each(o.call(f.childNodes), function() {
				f.removeChild(this)
			})), R(r) && (u = n(s), n.each(r, function(t, e) {
				g.indexOf(t) > -1 ? u[t](e) : u.attr(t, e)
			})), s
		}, T.Z = function(t, e) {
			return t = t || [], t.__proto__ = n.fn, t.selector = e || "", t
		}, T.isZ = function(t) {
			return t instanceof T.Z
		}, T.init = function(e, i) {
			var r;
			if (!e) return T.Z();
			if ("string" == typeof e) if (e = e.trim(), "<" == e[0] && l.test(e)) r = T.fragment(e, RegExp.$1, i), e = null;
			else {
				if (i !== t) return n(i).find(e);
				r = T.qsa(a, e)
			} else {
				if (Z(e)) return n(a).ready(e);
				if (T.isZ(e)) return e;
				if (A(e)) r = k(e);
				else if (D(e)) r = [e], e = null;
				else if (l.test(e)) r = T.fragment(e.trim(), RegExp.$1, i), e = null;
				else {
					if (i !== t) return n(i).find(e);
					r = T.qsa(a, e)
				}
			}
			return T.Z(r, e)
		}, n = function(t, e) {
			return T.init(t, e)
		}, n.extend = function(t) {
			var e, n = o.call(arguments, 1);
			return "boolean" == typeof t && (e = t, t = n.shift()), n.forEach(function(n) {
				B(t, n, e)
			}), t
		}, T.qsa = function(t, e) {
			var n, i = "#" == e[0],
				r = !i && "." == e[0],
				s = i || r ? e.slice(1) : e,
				a = E.test(s);
			return _(t) && a && i ? (n = t.getElementById(s)) ? [n] : [] : 1 !== t.nodeType && 9 !== t.nodeType ? [] : o.call(a && !i ? r ? t.getElementsByClassName(s) : t.getElementsByTagName(e) : t.querySelectorAll(e))
		}, n.contains = a.documentElement.contains ?
		function(t, e) {
			return t !== e && t.contains(e)
		} : function(t, e) {
			for (; e && (e = e.parentNode);) if (e === t) return !0;
			return !1
		}, n.type = L, n.isFunction = Z, n.isWindow = $, n.isArray = A, n.isPlainObject = R, n.isEmptyObject = function(t) {
			var e;
			for (e in t) return !1;
			return !0
		}, n.inArray = function(t, e, n) {
			return r.indexOf.call(e, t, n)
		}, n.camelCase = C, n.trim = function(t) {
			return null == t ? "" : String.prototype.trim.call(t)
		}, n.uuid = 0, n.support = {}, n.expr = {}, n.map = function(t, e) {
			var n, r, o, i = [];
			if (M(t)) for (r = 0; r < t.length; r++) n = e(t[r], r), null != n && i.push(n);
			else for (o in t) n = e(t[o], o), null != n && i.push(n);
			return z(i)
		}, n.each = function(t, e) {
			var n, i;
			if (M(t)) {
				for (n = 0; n < t.length; n++) if (e.call(t[n], n, t[n]) === !1) return t
			} else for (i in t) if (e.call(t[i], i, t[i]) === !1) return t;
			return t
		}, n.grep = function(t, e) {
			return s.call(t, e)
		}, window.JSON && (n.parseJSON = JSON.parse), n.each("Boolean Number String Function Array Date RegExp Object Error".split(" "), function(t, e) {
			j["[object " + e + "]"] = e.toLowerCase()
		}), n.fn = {
			forEach: r.forEach,
			reduce: r.reduce,
			push: r.push,
			sort: r.sort,
			indexOf: r.indexOf,
			concat: r.concat,
			map: function(t) {
				return n(n.map(this, function(e, n) {
					return t.call(e, n, e)
				}))
			},
			slice: function() {
				return n(o.apply(this, arguments))
			},
			ready: function(t) {
				return w.test(a.readyState) && a.body ? t(n) : a.addEventListener("DOMContentLoaded", function() {
					t(n)
				}, !1), this
			},
			get: function(e) {
				return e === t ? o.call(this) : this[e >= 0 ? e : e + this.length]
			},
			toArray: function() {
				return this.get()
			},
			size: function() {
				return this.length
			},
			remove: function() {
				return this.each(function() {
					null != this.parentNode && this.parentNode.removeChild(this)
				})
			},
			each: function(t) {
				return r.every.call(this, function(e, n) {
					return t.call(e, n, e) !== !1
				}), this
			},
			filter: function(t) {
				return Z(t) ? this.not(this.not(t)) : n(s.call(this, function(e) {
					return T.matches(e, t)
				}))
			},
			add: function(t, e) {
				return n(N(this.concat(n(t, e))))
			},
			is: function(t) {
				return this.length > 0 && T.matches(this[0], t)
			},
			not: function(e) {
				var i = [];
				if (Z(e) && e.call !== t) this.each(function(t) {
					e.call(this, t) || i.push(this)
				});
				else {
					var r = "string" == typeof e ? this.filter(e) : M(e) && Z(e.item) ? o.call(e) : n(e);
					this.forEach(function(t) {
						r.indexOf(t) < 0 && i.push(t)
					})
				}
				return n(i)
			},
			has: function(t) {
				return this.filter(function() {
					return D(t) ? n.contains(this, t) : n(this).find(t).size()
				})
			},
			eq: function(t) {
				return -1 === t ? this.slice(t) : this.slice(t, +t + 1)
			},
			first: function() {
				var t = this[0];
				return t && !D(t) ? t : n(t)
			},
			last: function() {
				var t = this[this.length - 1];
				return t && !D(t) ? t : n(t)
			},
			find: function(t) {
				var e, i = this;
				return e = t ? "object" == typeof t ? n(t).filter(function() {
					var t = this;
					return r.some.call(i, function(e) {
						return n.contains(e, t)
					})
				}) : 1 == this.length ? n(T.qsa(this[0], t)) : this.map(function() {
					return T.qsa(this, t)
				}) : []
			},
			closest: function(t, e) {
				var i = this[0],
					r = !1;
				for ("object" == typeof t && (r = n(t)); i && !(r ? r.indexOf(i) >= 0 : T.matches(i, t));) i = i !== e && !_(i) && i.parentNode;
				return n(i)
			},
			parents: function(t) {
				for (var e = [], i = this; i.length > 0;) i = n.map(i, function(t) {
					return (t = t.parentNode) && !_(t) && e.indexOf(t) < 0 ? (e.push(t), t) : void 0
				});
				return U(e, t)
			},
			parent: function(t) {
				return U(N(this.pluck("parentNode")), t)
			},
			children: function(t) {
				return U(this.map(function() {
					return V(this)
				}), t)
			},
			contents: function() {
				return this.map(function() {
					return o.call(this.childNodes)
				})
			},
			siblings: function(t) {
				return U(this.map(function(t, e) {
					return s.call(V(e.parentNode), function(t) {
						return t !== e
					})
				}), t)
			},
			empty: function() {
				return this.each(function() {
					this.innerHTML = ""
				})
			},
			pluck: function(t) {
				return n.map(this, function(e) {
					return e[t]
				})
			},
			show: function() {
				return this.each(function() {
					"none" == this.style.display && (this.style.display = ""), "none" == getComputedStyle(this, "").getPropertyValue("display") && (this.style.display = I(this.nodeName))
				})
			},
			replaceWith: function(t) {
				return this.before(t).remove()
			},
			wrap: function(t) {
				var e = Z(t);
				if (this[0] && !e) var i = n(t).get(0),
					r = i.parentNode || this.length > 1;
				return this.each(function(o) {
					n(this).wrapAll(e ? t.call(this, o) : r ? i.cloneNode(!0) : i)
				})
			},
			wrapAll: function(t) {
				if (this[0]) {
					n(this[0]).before(t = n(t));
					for (var e;
					(e = t.children()).length;) t = e.first();
					n(t).append(this)
				}
				return this
			},
			wrapInner: function(t) {
				var e = Z(t);
				return this.each(function(i) {
					var r = n(this),
						o = r.contents(),
						s = e ? t.call(this, i) : t;
					o.length ? o.wrapAll(s) : r.append(s)
				})
			},
			unwrap: function() {
				return this.parent().each(function() {
					n(this).replaceWith(n(this).children())
				}), this
			},
			clone: function() {
				return this.map(function() {
					return this.cloneNode(!0)
				})
			},
			hide: function() {
				return this.css("display", "none")
			},
			toggle: function(e) {
				return this.each(function() {
					var i = n(this);
					(e === t ? "none" == i.css("display") : e) ? i.show() : i.hide()
				})
			},
			prev: function(t) {
				return n(this.pluck("previousElementSibling")).filter(t || "*")
			},
			prevAll: function(t) {
				var e = this[0],
					r = [];
				if (!e) {
					return n([])
				}
				while (e.previousElementSibling) {
					var x = e.previousElementSibling;
					t ? (n(x).is(t) && r.push(x)) : r.push(x), e = x
				}
				return n(r)
			},
			next: function(t) {
				return n(this.pluck("nextElementSibling")).filter(t || "*")
			},
			nextAll: function(t) {
				var e = this[0],
					r = [];
				if (!e) {
					return n([])
				}
				while (e.nextElementSibling) {
					var x = e.nextElementSibling;
					t ? (n(x).is(t) && r.push(x)) : r.push(x), e = x
				}
				return n(r)
			},
			html: function(t) {
				return 0 in arguments ? this.each(function(e) {
					var i = this.innerHTML;
					n(this).empty().append(J(this, t, e, i))
				}) : 0 in this ? this[0].innerHTML : null
			},
			text: function(t) {
				return 0 in arguments ? this.each(function(e) {
					var n = J(this, t, e, this.textContent);
					this.textContent = null == n ? "" : "" + n
				}) : 0 in this ? this[0].textContent : null
			},
			attr: function(n, i) {
				var r;
				return "string" != typeof n || 1 in arguments ? this.each(function(t) {
					if (1 === this.nodeType) if (D(n)) for (e in n) X(this, e, n[e]);
					else X(this, n, J(this, i, t, this.getAttribute(n)))
				}) : this.length && 1 === this[0].nodeType ? !(r = this[0].getAttribute(n)) && n in this[0] ? this[0][n] : r : t
			},
			removeAttr: function(t) {
				return this.each(function() {
					1 === this.nodeType && X(this, t)
				})
			},
			prop: function(t, e) {
				return t = P[t] || t, 1 in arguments ? this.each(function(n) {
					this[t] = J(this, e, n, this[t])
				}) : this[0] && this[0][t]
			},
			data: function(e, n) {
				var i = "data-" + e.replace(m, "-$1").toLowerCase(),
					r = 1 in arguments ? this.attr(i, n) : this.attr(i);
				return null !== r ? Y(r) : t
			},
			val: function(t) {
				return 0 in arguments ? this.each(function(e) {
					this.value = J(this, t, e, this.value)
				}) : this[0] && (this[0].multiple ? n(this[0]).find("option").filter(function() {
					return this.selected
				}).pluck("value") : this[0].value)
			},
			offset: function(t) {
				if (t) return this.each(function(e) {
					var i = n(this),
						r = J(this, t, e, i.offset()),
						o = i.offsetParent().offset(),
						s = {
							top: r.top - o.top,
							left: r.left - o.left
						};
					"static" == i.css("position") && (s.position = "relative"), i.css(s)
				});
				if (!this.length) return null;
				var e = this[0].getBoundingClientRect();
				return {
					left: e.left + window.pageXOffset,
					top: e.top + window.pageYOffset,
					width: Math.round(e.width),
					height: Math.round(e.height)
				}
			},
			css: function(t, i) {
				if (arguments.length < 2) {
					var r = this[0],
						o = getComputedStyle(r, "");
					if (!r) return;
					if ("string" == typeof t) return r.style[C(t)] || o.getPropertyValue(t);
					if (A(t)) {
						var s = {};
						return n.each(A(t) ? t : [t], function(t, e) {
							s[e] = r.style[C(e)] || o.getPropertyValue(e)
						}), s
					}
				}
				var a = "";
				if ("string" == L(t)) i || 0 === i ? a = F(t) + ":" + H(t, i) : this.each(function() {
					this.style.removeProperty(F(t))
				});
				else for (e in t) t[e] || 0 === t[e] ? a += F(e) + ":" + H(e, t[e]) + ";" : this.each(function() {
					this.style.removeProperty(F(e))
				});
				return this.each(function() {
					this.style.cssText += ";" + a
				})
			},
			index: function(t) {
				return t ? this.indexOf(n(t)[0]) : this.parent().children().indexOf(this[0])
			},
			hasClass: function(t) {
				return t ? r.some.call(this, function(t) {
					return this.test(W(t))
				}, q(t)) : !1
			},
			addClass: function(t) {
				return t ? this.each(function(e) {
					i = [];
					var r = W(this),
						o = J(this, t, e, r);
					o.split(/\s+/g).forEach(function(t) {
						n(this).hasClass(t) || i.push(t)
					}, this), i.length && W(this, r + (r ? " " : "") + i.join(" "))
				}) : this
			},
			removeClass: function(e) {
				return this.each(function(n) {
					return e === t ? W(this, "") : (i = W(this), J(this, e, n, i).split(/\s+/g).forEach(function(t) {
						i = i.replace(q(t), " ")
					}), void W(this, i.trim()))
				})
			},
			toggleClass: function(e, i) {
				return e ? this.each(function(r) {
					var o = n(this),
						s = J(this, e, r, W(this));
					s.split(/\s+/g).forEach(function(e) {
						(i === t ? !o.hasClass(e) : i) ? o.addClass(e) : o.removeClass(e)
					})
				}) : this
			},
			scrollTop: function(e) {
				if (this.length) {
					var n = "scrollTop" in this[0];
					return e === t ? n ? this[0].scrollTop : this[0].pageYOffset : this.each(n ?
					function() {
						this.scrollTop = e
					} : function() {
						this.scrollTo(this.scrollX, e)
					})
				}
			},
			scrollLeft: function(e) {
				if (this.length) {
					var n = "scrollLeft" in this[0];
					return e === t ? n ? this[0].scrollLeft : this[0].pageXOffset : this.each(n ?
					function() {
						this.scrollLeft = e
					} : function() {
						this.scrollTo(e, this.scrollY)
					})
				}
			},
			position: function() {
				if (this.length) {
					var t = this[0],
						e = this.offsetParent(),
						i = this.offset(),
						r = d.test(e[0].nodeName) ? {
							top: 0,
							left: 0
						} : e.offset();
					return i.top -= parseFloat(n(t).css("margin-top")) || 0, i.left -= parseFloat(n(t).css("margin-left")) || 0, r.top += parseFloat(n(e[0]).css("border-top-width")) || 0, r.left += parseFloat(n(e[0]).css("border-left-width")) || 0, {
						top: i.top - r.top,
						left: i.left - r.left
					}
				}
			},
			offsetParent: function() {
				return this.map(function() {
					for (var t = this.offsetParent || a.body; t && !d.test(t.nodeName) && "static" == n(t).css("position");) t = t.offsetParent;
					return t
				})
			}
		}, n.fn.detach = n.fn.remove, ["width", "height"].forEach(function(e) {
			var i = e.replace(/./, function(t) {
				return t[0].toUpperCase()
			});
			n.fn[e] = function(r) {
				var o, s = this[0];
				return r === t ? $(s) ? s["inner" + i] : _(s) ? s.documentElement["scroll" + i] : (o = this.offset()) && o[e] : this.each(function(t) {
					s = n(this), s.css(e, J(this, r, t, s[e]()))
				})
			}
		}), v.forEach(function(t, e) {
			var i = e % 2;
			n.fn[t] = function() {
				var t, o, r = n.map(arguments, function(e) {
					return t = L(e), "object" == t || "array" == t || null == e ? e : T.fragment(e)
				}),
					s = this.length > 1;
				return r.length < 1 ? this : this.each(function(t, u) {
					o = i ? u : u.parentNode, u = 0 == e ? u.nextSibling : 1 == e ? u.firstChild : 2 == e ? u : null;
					var f = n.contains(a.documentElement, o);
					r.forEach(function(t) {
						if (s) t = t.cloneNode(!0);
						else if (!o) return n(t).remove();
						o.insertBefore(t, u), f && G(t, function(t) {
							null == t.nodeName || "SCRIPT" !== t.nodeName.toUpperCase() || t.type && "text/javascript" !== t.type || t.src || window.eval.call(window, t.innerHTML)
						})
					})
				})
			}, n.fn[i ? t + "To" : "insert" + (e ? "Before" : "After")] = function(e) {
				return n(e)[t](this), this
			}
		}), T.Z.prototype = n.fn, T.uniq = N, T.deserializeValue = Y, n.zepto = T, n
	}();
window.Zepto = Zepto, void 0 === window.$ && (window.$ = Zepto), function(t) {
	function l(t) {
		return t._zid || (t._zid = e++)
	}
	function h(t, e, n, i) {
		if (e = p(e), e.ns) var r = d(e.ns);
		return (s[l(t)] || []).filter(function(t) {
			return !(!t || e.e && t.e != e.e || e.ns && !r.test(t.ns) || n && l(t.fn) !== l(n) || i && t.sel != i)
		})
	}
	function p(t) {
		var e = ("" + t).split(".");
		return {
			e: e[0],
			ns: e.slice(1).sort().join(" ")
		}
	}
	function d(t) {
		return new RegExp("(?:^| )" + t.replace(" ", " .* ?") + "(?: |$)")
	}
	function m(t, e) {
		return t.del && !u && t.e in f || !! e
	}
	function g(t) {
		return c[t] || u && f[t] || t
	}
	function v(e, i, r, o, a, u, f) {
		var h = l(e),
			d = s[h] || (s[h] = []);
		i.split(/\s/).forEach(function(i) {
			if ("ready" == i) return t(document).ready(r);
			var s = p(i);
			s.fn = r, s.sel = a, s.e in c && (r = function(e) {
				var n = e.relatedTarget;
				return !n || n !== this && !t.contains(this, n) ? s.fn.apply(this, arguments) : void 0
			}), s.del = u;
			var l = u || r;
			s.proxy = function(t) {
				if (t = j(t), !t.isImmediatePropagationStopped()) {
					t.data = o;
					var i = l.apply(e, t._args == n ? [t] : [t].concat(t._args));
					return i === !1 && (t.preventDefault(), t.stopPropagation()), i
				}
			}, s.i = d.length, d.push(s), "addEventListener" in e && e.addEventListener(g(s.e), s.proxy, m(s, f))
		})
	}
	function y(t, e, n, i, r) {
		var o = l(t);
		(e || "").split(/\s/).forEach(function(e) {
			h(t, e, n, i).forEach(function(e) {
				delete s[o][e.i], "removeEventListener" in t && t.removeEventListener(g(e.e), e.proxy, m(e, r))
			})
		})
	}
	function j(e, i) {
		return (i || !e.isDefaultPrevented) && (i || (i = e), t.each(E, function(t, n) {
			var r = i[t];
			e[t] = function() {
				return this[n] = x, r && r.apply(i, arguments)
			}, e[n] = b
		}), (i.defaultPrevented !== n ? i.defaultPrevented : "returnValue" in i ? i.returnValue === !1 : i.getPreventDefault && i.getPreventDefault()) && (e.isDefaultPrevented = x)), e
	}
	function S(t) {
		var e, i = {
			originalEvent: t
		};
		for (e in t) w.test(e) || t[e] === n || (i[e] = t[e]);
		return j(i, t)
	}
	function N(e, t) {
		e.os = {}, e.os.webkit = t.match(/WebKit\/([\d.]+)/) ? !0 : !1, e.os.android = t.match(/(Android)\s+([\d.]+)/) || t.match(/Silk-Accelerated/) ? !0 : !1, e.os.androidICS = e.os.android && t.match(/(Android)\s4/) ? !0 : !1, e.os.ipad = t.match(/(iPad).*OS\s([\d_]+)/) ? !0 : !1, e.os.iphone = !e.os.ipad && t.match(/(iPhone\sOS)\s([\d_]+)/) ? !0 : !1, e.os.webos = t.match(/(webOS|hpwOS)[\s\/]([\d.]+)/) ? !0 : !1, e.os.touchpad = e.os.webos && t.match(/TouchPad/) ? !0 : !1, e.os.ios = e.os.ipad || e.os.iphone, e.os.ios6 = e.os.ios && t.match(/(OS)\s([6])/) ? !0 : !1, e.os.playbook = t.match(/PlayBook/) ? !0 : !1, e.os.blackberry = e.os.playbook || t.match(/BlackBerry/) ? !0 : !1, e.os.blackberry10 = e.os.blackberry && t.match(/Safari\/536/) ? !0 : !1, e.os.chrome = t.match(/Chrome/) ? !0 : !1, e.os.opera = t.match(/Opera Mobi/) ? !0 : !1, e.os.fennec = t.match(/fennec/i) ? !0 : !1, e.os.supportsTouch = window.DocumentTouch && document instanceof window.DocumentTouch || "ontouchstart" in window, e.os.desktop = !(e.os.ios || e.os.android || e.os.blackberry || e.os.opera || e.os.fennec || e.os.supportsTouch), e.feat = {}, e.feat.nativeTouchScroll = "undefined" != typeof document.documentElement.getElementsByTagName("head")[0].style["-webkit-overflow-scrolling"] && e.os.ios
	}
	var n, e = 1,
		i = Array.prototype.slice,
		r = t.isFunction,
		o = function(t) {
			return "string" == typeof t
		},
		s = {},
		a = {},
		u = "onfocusin" in window,
		f = {
			focus: "focusin",
			blur: "focusout"
		},
		c = {
			mouseenter: "mouseover",
			mouseleave: "mouseout"
		};
	a.click = a.mousedown = a.mouseup = a.mousemove = "MouseEvents", t.event = {
		add: v,
		remove: y
	}, t.proxy = function(e, n) {
		var s = 2 in arguments && i.call(arguments, 2);
		if (r(e)) {
			var a = function() {
					return e.apply(n, s ? s.concat(i.call(arguments)) : arguments)
				};
			return a._zid = l(e), a
		}
		if (o(n)) return s ? (s.unshift(e[n], e), t.proxy.apply(null, s)) : t.proxy(e[n], e);
		throw new TypeError("expected function")
	}, t.fn.bind = function(t, e, n) {
		return this.on(t, e, n)
	}, t.fn.unbind = function(t, e) {
		return this.off(t, e)
	}, t.fn.one = function(t, e, n, i) {
		return this.on(t, e, n, i, 1)
	};
	var x = function() {
			return !0
		},
		b = function() {
			return !1
		},
		w = /^([A-Z]|returnValue$|layer[XY]$)/,
		E = {
			preventDefault: "isDefaultPrevented",
			stopImmediatePropagation: "isImmediatePropagationStopped",
			stopPropagation: "isPropagationStopped"
		};
	t.fn.delegate = function(t, e, n) {
		return this.on(e, t, n)
	}, t.fn.undelegate = function(t, e, n) {
		return this.off(e, t, n)
	}, t.fn.live = function(e, n) {
		return t(document.body).delegate(this.selector, e, n), this
	}, t.fn.die = function(e, n) {
		return t(document.body).undelegate(this.selector, e, n), this
	}, t.fn.on = function(e, s, a, u, f) {
		var c, l, h = this;
		return e && !o(e) ? (t.each(e, function(t, e) {
			h.on(t, s, a, e, f)
		}), h) : (o(s) || r(u) || u === !1 || (u = a, a = s, s = n), (r(a) || a === !1) && (u = a, a = n), u === !1 && (u = b), h.each(function(n, r) {
			f && (c = function(t) {
				return y(r, t.type, u), u.apply(this, arguments)
			}), s && (l = function(e) {
				var n, o = t(e.target).closest(s, r).get(0);
				return o && o !== r ? (n = t.extend(S(e), {
					currentTarget: o,
					liveFired: r
				}), (c || u).apply(o, [n].concat(i.call(arguments, 1)))) : void 0
			}), v(r, e, u, a, s, l || c)
		}))
	}, t.fn.off = function(e, i, s) {
		var a = this;
		return e && !o(e) ? (t.each(e, function(t, e) {
			a.off(t, i, e)
		}), a) : (o(i) || r(s) || s === !1 || (s = i, i = n), s === !1 && (s = b), a.each(function() {
			y(this, e, s, i)
		}))
	}, t.fn.trigger = function(e, n) {
		return e = o(e) || t.isPlainObject(e) ? t.Event(e) : j(e), e._args = n, this.each(function() {
			"dispatchEvent" in this ? this.dispatchEvent(e) : t(this).triggerHandler(e, n)
		})
	}, t.fn.triggerHandler = function(e, n) {
		var i, r;
		return this.each(function(s, a) {
			i = S(o(e) ? t.Event(e) : e), i._args = n, i.target = a, t.each(h(a, e.type || e), function(t, e) {
				return r = e.proxy(i), i.isImmediatePropagationStopped() ? !1 : void 0
			})
		}), r
	}, "focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select keydown keypress keyup error".split(" ").forEach(function(e) {
		t.fn[e] = function(t) {
			return t ? this.bind(e, t) : this.trigger(e)
		}
	}), ["focus", "blur"].forEach(function(e) {
		t.fn[e] = function(t) {
			return t ? this.bind(e, t) : this.each(function() {
				try {
					this[e]()
				} catch (t) {}
			}), this
		}
	}), t.Event = function(t, e) {
		o(t) || (e = t, t = e.type);
		var n = document.createEvent(a[t] || "Events"),
			i = !0;
		if (e) for (var r in e)"bubbles" == r ? i = !! e[r] : n[r] = e[r];
		return n.initEvent(t, i, !0), j(n)
	}, t.bind = function(e, n, r) {
		e.__events || (e.__events = {}), t.isArray(n) || (n = [n]);
		for (var o = 0; o < n.length; o++) {
			e.__events[n[o]] || (e.__events[n[o]] = []), e.__events[n[o]].push(r)
		}
	}, t.trigger = function(e, n, r) {
		var o = !0;
		if (!e.__events) return o;
		t.isArray(n) || (n = [n]), t.isArray(r) || (r = []);
		for (var a = 0; a < n.length; a++) if (e.__events[n[a]]) for (var i = e.__events[n[a]], s = 0; s < i.length; s++) t.isFunction(i[s]) && i[s].apply(e, r) === !1 && (o = !1);
		return o
	}, t.unbind = function(e, n, r) {
		if (!e.__events) return !0;
		t.isArray(n) || (n = [n]);
		for (var o = 0; o < n.length; o++) if (e.__events[n[o]]) for (var a = t.__events[n[o]], i = 0; i < a.length; i++) if (r == p && delete a[i], a[i] == r) {
			a.splice(i, 1);
			break
		}
	}, t.uuid = function() {
		var e = function() {
				return (65536 * (1 + Math.random()) | 0).toString(16).substring(1)
			};
		return e() + e() + "-" + e() + "-" + e() + "-" + e() + "-" + e() + e() + e()
	}, N(t, navigator.userAgent)
}(Zepto), (function($) {
	"use strict";
	["width", "height"].forEach(function(dimension) {
		var Dimension = dimension.replace(/./, function(m) {
			return m[0].toUpperCase()
		});
		$.fn["outer" + Dimension] = function(margin) {
			var elem = this;
			if (elem) {
				var size = elem[dimension]();
				var sides = {
					'width': ['left', 'right'],
					'height': ['top', 'bottom']
				};
				sides[dimension].forEach(function(side) {
					if (margin) {
						size += parseInt(elem.css('margin-' + side), 10)
					}
				});
				return size
			} else {
				return null
			}
		}
	})
})(Zepto), function(t) {
	function l(e, n, i) {
		var r = t.Event(n);
		return t(e).trigger(r, i), !r.isDefaultPrevented()
	}
	function h(t, e, i, r) {
		return t.global ? l(e || n, i, r) : void 0
	}
	function p(e) {
		e.global && 0 === t.active++ && h(e, null, "ajaxStart")
	}
	function d(e) {
		e.global && !--t.active && h(e, null, "ajaxStop")
	}
	function m(t, e) {
		var n = e.context;
		return e.beforeSend.call(n, t, e) === !1 || h(e, n, "ajaxBeforeSend", [t, e]) === !1 ? !1 : void h(e, n, "ajaxSend", [t, e])
	}
	function g(t, e, n, i) {
		var r = n.context,
			o = "success";
		n.success.call(r, t, o, e), i && i.resolveWith(r, [t, o, e]), h(n, r, "ajaxSuccess", [e, n, t]), y(o, e, n)
	}
	function v(t, e, n, i, r) {
		var o = i.context;
		i.error.call(o, n, e, t), r && r.rejectWith(o, [n, e, t]), h(i, o, "ajaxError", [n, i, t || e]), y(e, n, i)
	}
	function y(t, e, n) {
		var i = n.context;
		n.complete.call(i, e, t), h(n, i, "ajaxComplete", [e, n]), d(n)
	}
	function x() {}
	function b(t) {
		return t && (t = t.split(";", 2)[0]), t && (t == f ? "html" : t == u ? "json" : s.test(t) ? "script" : a.test(t) && "xml") || "text"
	}
	function w(t, e) {
		return "" == e ? t : (t + "&" + e).replace(/[&?]{1,2}/, "?")
	}
	function E(e) {
		e.processData && e.data && "string" != t.type(e.data) && (e.data = t.param(e.data, e.traditional)), !e.data || e.type && "GET" != e.type.toUpperCase() || (e.url = w(e.url, e.data), e.data = void 0)
	}
	function j(e, n, i, r) {
		return t.isFunction(n) && (r = i, i = n, n = void 0), t.isFunction(i) || (r = i, i = void 0), {
			url: e,
			data: n,
			success: i,
			dataType: r
		}
	}
	function T(e, n, i, r) {
		var o, s = t.isArray(n),
			a = t.isPlainObject(n);
		t.each(n, function(n, u) {
			o = t.type(u), r && (n = i ? r : r + "[" + (a || "object" == o || "array" == o ? n : "") + "]"), !r && s ? e.add(u.name, u.value) : "array" == o || !i && "object" == o ? T(e, u, i, n) : e.add(n, u)
		})
	}
	var i, r, e = 0,
		n = window.document,
		o = /<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi,
		s = /^(?:text|application)\/javascript/i,
		a = /^(?:text|application)\/xml/i,
		u = "application/json",
		f = "text/html",
		c = /^\s*$/;
	t.active = 0, t.ajaxJSONP = function(i, r) {
		if (!("type" in i)) return t.ajax(i);
		var f, h, o = i.jsonpCallback,
			s = (t.isFunction(o) ? o() : o) || "jsonp" + ++e,
			a = n.createElement("script"),
			u = window[s],
			c = function(e) {
				t(a).triggerHandler("error", e || "abort")
			},
			l = {
				abort: c
			};
		return r && r.promise(l), t(a).on("load error", function(e, n) {
			clearTimeout(h), t(a).off().remove(), "error" != e.type && f ? g(f[0], l, i, r) : v(null, n || "error", l, i, r), window[s] = u, f && t.isFunction(u) && u(f[0]), u = f = void 0
		}), m(l, i) === !1 ? (c("abort"), l) : (window[s] = function() {
			f = arguments
		}, a.src = i.url.replace(/\?(.+)=\?/, "?$1=" + s), n.head.appendChild(a), i.timeout > 0 && (h = setTimeout(function() {
			c("timeout")
		}, i.timeout)), l)
	}, t.ajaxSettings = {
		type: "GET",
		beforeSend: x,
		success: x,
		error: x,
		complete: x,
		context: null,
		global: !0,
		xhr: function() {
			return new window.XMLHttpRequest
		},
		accepts: {
			script: "text/javascript, application/javascript, application/x-javascript",
			json: u,
			xml: "application/xml, text/xml",
			html: f,
			text: "text/plain"
		},
		crossDomain: !1,
		timeout: 0,
		processData: !0,
		cache: !0
	}, t.ajax = function(e) {
		var n = t.extend({}, e || {}),
			o = t.Deferred && t.Deferred();
		for (i in t.ajaxSettings) void 0 === n[i] && (n[i] = t.ajaxSettings[i]);
		p(n), n.crossDomain || (n.crossDomain = /^([\w-]+:)?\/\/([^\/]+)/.test(n.url) && RegExp.$2 != window.location.host), n.url || (n.url = window.location.toString()), E(n);
		var s = n.dataType,
			a = /\?.+=\?/.test(n.url);
		if (a && (s = "jsonp"), n.cache !== !1 && (e && e.cache === !0 || "script" != s && "jsonp" != s) || (n.url = w(n.url, "_=" + Date.now())), "jsonp" == s) return a || (n.url = w(n.url, n.jsonp ? n.jsonp + "=?" : n.jsonp === !1 ? "" : "callback=?")), t.ajaxJSONP(n, o);
		var j, u = n.accepts[s],
			f = {},
			l = function(t, e) {
				f[t.toLowerCase()] = [t, e]
			},
			h = /^([\w-]+:)\/\//.test(n.url) ? RegExp.$1 : window.location.protocol,
			d = n.xhr(),
			y = d.setRequestHeader;
		if (o && o.promise(d), n.crossDomain || l("X-Requested-With", "XMLHttpRequest"), l("Accept", u || "*/*"), (u = n.mimeType || u) && (u.indexOf(",") > -1 && (u = u.split(",", 2)[0]), d.overrideMimeType && d.overrideMimeType(u)), (n.contentType || n.contentType !== !1 && n.data && "GET" != n.type.toUpperCase()) && l("Content-Type", n.contentType || "application/x-www-form-urlencoded"), n.headers) for (r in n.headers) l(r, n.headers[r]);
		if (d.setRequestHeader = l, d.onreadystatechange = function() {
			if (4 == d.readyState) {
				d.onreadystatechange = x, clearTimeout(j);
				var e, i = !1;
				if (d.status >= 200 && d.status < 300 || 304 == d.status || 0 == d.status && "file:" == h) {
					s = s || b(n.mimeType || d.getResponseHeader("content-type")), e = d.responseText;
					try {
						"script" == s ? (1, eval)(e) : "xml" == s ? e = d.responseXML : "json" == s && (e = c.test(e) ? null : t.parseJSON(e))
					} catch (r) {
						i = r
					}
					i ? v(i, "parsererror", d, n, o) : g(e, d, n, o)
				} else v(d.statusText || null, d.status ? "error" : "abort", d, n, o)
			}
		}, m(d, n) === !1) return d.abort(), v(null, "abort", d, n, o), d;
		if (n.xhrFields) for (r in n.xhrFields) d[r] = n.xhrFields[r];
		var S = "async" in n ? n.async : !0;
		d.open(n.type, n.url, S, n.username, n.password);
		for (r in f) y.apply(d, f[r]);
		return n.timeout > 0 && (j = setTimeout(function() {
			d.onreadystatechange = x, d.abort(), v(null, "timeout", d, n, o)
		}, n.timeout)), d.send(n.data ? n.data : null), d
	}, t.get = function() {
		return t.ajax(j.apply(null, arguments))
	}, t.post = function() {
		var e = j.apply(null, arguments);
		return e.type = "POST", t.ajax(e)
	}, t.getJSON = function() {
		var e = j.apply(null, arguments);
		return e.dataType = "json", t.ajax(e)
	}, t.fn.load = function(e, n, i) {
		if (!this.length) return this;
		var a, r = this,
			s = e.split(/\s/),
			u = j(e, n, i),
			f = u.success;
		return s.length > 1 && (u.url = s[0], a = s[1]), u.success = function(e) {
			r.html(a ? t("<div>").html(e.replace(o, "")).find(a) : e), f && f.apply(r, arguments)
		}, t.ajax(u), this
	};
	var S = encodeURIComponent;
	t.param = function(t, e) {
		var n = [];
		return n.add = function(t, e) {
			this.push(S(t) + "=" + S(e))
		}, T(n, t, e), n.join("&").replace(/%20/g, "+")
	}
}(Zepto), function(t) {
	t.fn.serializeArray = function() {
		var n, e = [];
		return t([].slice.call(this.get(0).elements)).each(function() {
			n = t(this);
			var i = n.attr("type");
			"fieldset" != this.nodeName.toLowerCase() && !this.disabled && "submit" != i && "reset" != i && "button" != i && ("radio" != i && "checkbox" != i || this.checked) && e.push({
				name: n.attr("name"),
				value: n.val()
			})
		}), e
	}, t.fn.serialize = function() {
		var t = [];
		return this.serializeArray().forEach(function(e) {
			t.push(encodeURIComponent(e.name) + "=" + encodeURIComponent(e.value))
		}), t.join("&")
	}, t.fn.submit = function(e) {
		if (e) this.bind("submit", e);
		else if (this.length) {
			var n = t.Event("submit");
			this.eq(0).trigger(n), n.isDefaultPrevented() || this.get(0).submit()
		}
		return this
	}
}(Zepto), function(t) {
	"__proto__" in {} || t.extend(t.zepto, {
		Z: function(e, n) {
			return e = e || [], t.extend(e, t.fn), e.selector = n || "", e.__Z = !0, e
		},
		isZ: function(e) {
			return "array" === t.type(e) && "__Z" in e
		}
	});
	try {
		getComputedStyle(void 0)
	} catch (e) {
		var n = getComputedStyle;
		window.getComputedStyle = function(t) {
			try {
				return n(t)
			} catch (e) {
				return null
			}
		}
	}
}(Zepto);
(function($) {
	$.Callbacks = function(options) {
		options = $.extend({}, options);
		var memory, fired, firing, firingStart, firingLength, firingIndex, list = [],
			stack = !options.once && [],
			fire = function(data) {
				memory = options.memory && data;
				fired = true, firingIndex = firingStart || 0, firingStart = 0, firingLength = list.length, firing = true;
				for (; list && firingIndex < firingLength; ++firingIndex) {
					if (list[firingIndex].apply(data[0], data[1]) === false && options.stopOnFalse) {
						memory = false;
						break
					}
				};
				firing = false;
				if (list) {
					if (stack) {
						stack.length && fire(stack.shift())
					} else if (memory) {
						list.length = 0
					} else {
						Callbacks.disable()
					}
				}
			},
			Callbacks = {
				add: function() {
					if (list) {
						var start = list.length,
							add = function(args) {
								$.each(args, function(_, arg) {
									if (typeof arg === "function") {
										if (!options.unique || !Callbacks.has(arg)) {
											list.push(arg)
										}
									} else if (arg && arg.length && typeof arg !== 'string') {
										add(arg)
									}
								})
							};
						add(arguments);
						if (firing) {
							firingLength = list.length
						} else if (memory) {
							firingStart = start;
							fire(memory)
						}
					}
					return this
				},
				remove: function() {
					if (list) {
						$.each(arguments, function(_, arg) {
							var index;
							while ((index = $.inArray(arg, list, index)) > -1) {
								list.splice(index, 1);
								if (firing) {
									if (index <= firingLength) {
										--firingLength
									}
									if (index <= firingIndex) {
										--firingIndex
									}
								}
							}
						})
					}
					return this
				},
				has: function(fn) {
					return !!(list && (fn ? $.inArray(fn, list) > -1 : list.length))
				},
				empty: function() {
					firingLength = list.length = 0;
					return this
				},
				disable: function() {
					list = stack = memory = undefined;
					return this
				},
				disabled: function() {
					return !list
				},
				lock: function() {
					stack = undefined;
					if (!memory) {
						Callbacks.disable()
					}
					return this
				},
				locked: function() {
					return !stack
				},
				fireWith: function(context, args) {
					if (list && (!fired || stack)) {
						args = args || [];
						args = [context, args.slice ? args.slice() : args];
						if (firing) {
							stack.push(args)
						} else {
							fire(args)
						}
					}
					return this
				},
				fire: function() {
					return Callbacks.fireWith(this, arguments)
				},
				fired: function() {
					return !!fired
				}
			};
		return Callbacks
	}
})(Zepto);
(function($) {
	var slice = Array.prototype.slice;

	function Deferred(func) {
		var tuples = [
			["resolve", "done", $.Callbacks({
				once: 1,
				memory: 1
			}), "resolved"],
			["reject", "fail", $.Callbacks({
				once: 1,
				memory: 1
			}), "rejected"],
			["notify", "progress", $.Callbacks({
				memory: 1
			})]
		],
			state = "pending",
			promise = {
				state: function() {
					return state
				},
				always: function() {
					deferred.done(arguments).fail(arguments);
					return this
				},
				then: function() {
					var fns = arguments;
					return Deferred(function(defer) {
						$.each(tuples, function(i, tuple) {
							var fn = $.isFunction(fns[i]) && fns[i];
							deferred[tuple[1]](function() {
								var returned = fn && fn.apply(this, arguments);
								if (returned && $.isFunction(returned.promise)) {
									returned.promise().done(defer.resolve).fail(defer.reject).progress(defer.notify)
								} else {
									var context = this === promise ? defer.promise() : this,
										values = fn ? [returned] : arguments;
									defer[tuple[0] + "With"](context, values)
								}
							})
						});
						fns = null
					}).promise()
				},
				promise: function(obj) {
					return obj != null ? $.extend(obj, promise) : promise
				}
			},
			deferred = {};
		$.each(tuples, function(i, tuple) {
			var list = tuple[2],
				stateString = tuple[3];
			promise[tuple[1]] = list.add;
			if (stateString) {
				list.add(function() {
					state = stateString
				}, tuples[i ^ 1][2].disable, tuples[2][2].lock)
			};
			deferred[tuple[0]] = function() {
				deferred[tuple[0] + "With"](this === deferred ? promise : this, arguments);
				return this
			};
			deferred[tuple[0] + "With"] = list.fireWith
		});
		promise.promise(deferred);
		if (func) {
			func.call(deferred, deferred)
		}
		return deferred
	}
	$.when = function(sub) {
		var resolveValues = slice.call(arguments),
			len = resolveValues.length,
			i = 0,
			remain = len !== 1 || (sub && $.isFunction(sub.promise)) ? len : 0,
			deferred = remain === 1 ? sub : Deferred(),
			progressValues, progressContexts, resolveContexts, updateFn = function(i, ctx, val) {
				return function(value) {
					ctx[i] = this;
					val[i] = arguments.length > 1 ? slice.call(arguments) : value;
					if (val === progressValues) {
						deferred.notifyWith(ctx, val)
					} else if (!(--remain)) {
						deferred.resolveWith(ctx, val)
					}
				}
			};
		if (len > 1) {
			progressValues = new Array(len);
			progressContexts = new Array(len);
			resolveContexts = new Array(len);
			for (; i < len; ++i) {
				if (resolveValues[i] && $.isFunction(resolveValues[i].promise)) {
					resolveValues[i].promise().done(updateFn(i, resolveContexts, resolveValues)).fail(deferred.reject).progress(updateFn(i, progressContexts, progressValues))
				} else {
					--remain
				}
			}
		}
		if (!remain) {
			deferred.resolveWith(resolveContexts, resolveValues)
		}
		return deferred.promise()
	};
	$.Deferred = Deferred
})(Zepto);
(function($) {
	$.getUrlParam = function(n, d) {
		var s = window.location.search;
		if (typeof(n) != "undefined" && n !== false) {
			var reg = new RegExp("(^|&)" + n + "=([^&]*)(&|$)"),
				m = s.substr(1).match(reg);
			return (m != null) ? (d === false ? m[2] : decodeURIComponent(m[2])) : ""
		} else {
			var g = {},
				m = s.substr(1),
				a = m.split("&");
			for (var i = 0; i < a.length; i++) {
				var f = a[i].indexOf("=");
				if (f == -1) {
					continue
				}
				var k = a[i].substring(0, f),
					v = a[i].substring(f + 1);
				g[k] = (n === false ? v : decodeURIComponent(v))
			}
			return g
		}
	};
	$.matchUrlParam = function(s, n, d) {
		s = s.split("?"), s = "?" + s[1];
		if (typeof(n) != "undefined" && n !== false) {
			var reg = new RegExp("(^|&)" + n + "=([^&]*)(&|$)"),
				m = s.substr(1).match(reg);
			return (m != null) ? (d === false ? m[2] : decodeURIComponent(m[2])) : ""
		} else {
			var g = {},
				m = s.substr(1),
				a = m.split("&");
			for (var i = 0; i < a.length; i++) {
				var f = a[i].indexOf("=");
				if (f == -1) {
					continue
				}
				var k = a[i].substring(0, f),
					v = a[i].substring(f + 1);
				g[k] = (n === false ? v : decodeURIComponent(v))
			}
			return g
		}
	};
	$.getHash = function(e) {
		return e.indexOf("#") !== -1 ? e.substring(e.indexOf("#") + 1) : "/"
	};
	$.getScript = function(u, c, e) {
		if (typeof(e) == "undefined") {
			var s = document.createElement("script");
			s.type = "text/javascript", s.src = u, document.getElementsByTagName("head")[0].appendChild(s);
			if (navigator.userAgent.indexOf("IE") >= 0) {
				s.onreadystatechange = function() {
					if (s && (s.readyState == "loaded" || s.readyState == "complete")) {
						c()
					}
				}
			} else {
				s.onload = c
			}
		} else {
			c()
		}
	};
	$.fn.goTop = function(options) {
		var defaults = {
			toT: 0,
			durTime: 300,
			delay: 30,
			callback: null
		};
		var opts = $.extend(defaults, options),
			timer = null,
			_this = this,
			curTop = _this.scrollTop(),
			subTop = opts.toT - curTop,
			index = 0,
			dur = Math.round(opts.durTime / opts.delay),
			smoothScroll = function(t) {
				index++;
				var per = Math.round(subTop / dur);
				if (index >= dur) {
					_this.scrollTop(t);
					window.clearInterval(timer);
					if (opts.callback && typeof opts.callback == 'function') {
						opts.callback()
					}
					return
				} else {
					_this.scrollTop(curTop + index * per)
				}
			};
		timer = window.setInterval(function() {
			smoothScroll(opts.toT)
		}, opts.delay);
		return _this
	}
})(Zepto);
(function($, undefined) {
	var prefix = '',
		eventPrefix, endEventName, endAnimationName, vendors = {
			Webkit: 'webkit',
			Moz: '',
			O: 'o'
		},
		document = window.document,
		testEl = document.createElement('div'),
		supportedTransforms = /^((translate|rotate|scale)(X|Y|Z|3d)?|matrix(3d)?|perspective|skew(X|Y)?)$/i,
		transform, transitionProperty, transitionDuration, transitionTiming, transitionDelay, animationName, animationDuration, animationTiming, animationDelay, cssReset = {};

	function dasherize(str) {
		return str.replace(/([a-z])([A-Z])/, '$1-$2').toLowerCase()
	}
	function normalizeEvent(name) {
		return eventPrefix ? eventPrefix + name : name.toLowerCase()
	}
	$.each(vendors, function(vendor, event) {
		if (testEl.style[vendor + 'TransitionProperty'] !== undefined) {
			prefix = '-' + vendor.toLowerCase() + '-';
			eventPrefix = event;
			return false
		}
	});
	transform = prefix + 'transform';
	cssReset[transitionProperty = prefix + 'transition-property'] = cssReset[transitionDuration = prefix + 'transition-duration'] = cssReset[transitionDelay = prefix + 'transition-delay'] = cssReset[transitionTiming = prefix + 'transition-timing-function'] = cssReset[animationName = prefix + 'animation-name'] = cssReset[animationDuration = prefix + 'animation-duration'] = cssReset[animationDelay = prefix + 'animation-delay'] = cssReset[animationTiming = prefix + 'animation-timing-function'] = '';
	$.fx = {
		off: (eventPrefix === undefined && testEl.style.transitionProperty === undefined),
		speeds: {
			_default: 400,
			fast: 200,
			slow: 600
		},
		cssPrefix: prefix,
		transitionEnd: normalizeEvent('TransitionEnd'),
		animationEnd: normalizeEvent('AnimationEnd')
	};
	$.fn.animate = function(properties, duration, ease, callback, delay) {
		if ($.isFunction(duration)) {
			callback = duration, ease = undefined, duration = undefined
		}
		if ($.isFunction(ease)) {
			callback = ease, ease = undefined
		}
		if ($.isPlainObject(duration)) {
			ease = duration.easing, callback = duration.complete, delay = duration.delay, duration = duration.duration
		}
		if (duration) {
			duration = (typeof duration == 'number' ? duration : ($.fx.speeds[duration] || $.fx.speeds._default)) / 1000
		}
		if (delay) {
			delay = parseFloat(delay) / 1000
		}
		return this.anim(properties, duration, ease, callback, delay)
	};
	$.fn.anim = function(properties, duration, ease, callback, delay) {
		var key, cssValues = {},
			cssProperties, transforms = '',
			that = this,
			wrappedCallback, endEvent = $.fx.transitionEnd,
			fired = false;
		if (duration === undefined) {
			duration = $.fx.speeds._default / 1000
		}
		if (delay === undefined) {
			delay = 0
		}
		if ($.fx.off) {
			duration = 0
		}
		if (typeof properties == 'string') {
			cssValues[animationName] = properties;
			cssValues[animationDuration] = duration + 's';
			cssValues[animationDelay] = delay + 's';
			cssValues[animationTiming] = (ease || 'linear');
			endEvent = $.fx.animationEnd
		} else {
			cssProperties = [];
			for (key in properties) {
				if (supportedTransforms.test(key)) {
					transforms += key + '(' + properties[key] + ') '
				} else {
					cssValues[key] = properties[key], cssProperties.push(dasherize(key))
				}
			}
			if (transforms) {
				cssValues[transform] = transforms;
				cssProperties.push(transform)
			}
			if (duration > 0 && typeof properties === 'object') {
				cssValues[transitionProperty] = cssProperties.join(', ');
				cssValues[transitionDuration] = duration + 's';
				cssValues[transitionDelay] = delay + 's';
				cssValues[transitionTiming] = (ease || 'linear')
			}
		};
		wrappedCallback = function(event) {
			if (typeof event !== 'undefined') {
				if (event.target !== event.currentTarget) {
					return $(event.target).unbind(endEvent, wrappedCallback)
				}
			} else {
				$(this).unbind(endEvent, wrappedCallback)
			}
			fired = true;
			$(this).css(cssReset);
			callback && callback.call(this)
		};
		if (duration > 0) {
			this.bind(endEvent, wrappedCallback);
			setTimeout(function() {
				if (fired) {
					return wrappedCallback.call(that)
				}
			}, (duration * 1000) + 25)
		};
		if (this.size()) {
			this.get(0).clientLeft
		};
		this.css(cssValues);
		if (duration <= 0) {
			setTimeout(function() {
				that.each(function() {
					wrappedCallback.call(this)
				})
			}, 0);
			return this
		}
	};
	testEl = null
})(Zepto);
(function($, undefined) {
	var document = window.document,
		docElem = document.documentElement,
		origShow = $.fn.show,
		origHide = $.fn.hide,
		origToggle = $.fn.toggle;

	function anim(el, speed, opacity, scale, callback) {
		if (typeof speed == 'function' && !callback) {
			callback = speed, speed = undefined
		}
		var props = {
			opacity: opacity
		};
		if (scale) {
			props.scale = scale;
			el.css($.fx.cssPrefix + 'transform-origin', '0 0')
		}
		return el.animate(props, speed, null, callback)
	}
	function hide(el, speed, scale, callback) {
		return anim(el, speed, 0, scale, function() {
			origHide.call($(this));
			callback && callback.call(this)
		})
	}
	$.fn.show = function(speed, callback) {
		origShow.call(this);
		if (speed === undefined) {
			speed = 0
		} else {
			this.css('opacity', 0)
		}
		return anim(this, speed, 1, '1,1', callback)
	};
	$.fn.hide = function(speed, callback) {
		if (speed === undefined) {
			return origHide.call(this)
		} else {
			return hide(this, speed, '0,0', callback)
		}
	};
	$.fn.toggle = function(speed, callback) {
		if (speed === undefined || typeof speed == 'boolean') {
			return origToggle.call(this, speed)
		} else {
			return this.each(function() {
				var el = $(this);
				el[el.css('display') == 'none' ? 'show' : 'hide'](speed, callback)
			})
		}
	};
	$.fn.fadeTo = function(speed, opacity, callback) {
		return anim(this, speed, opacity, null, callback)
	};
	$.fn.fadeIn = function(speed, callback) {
		var target = this.css('opacity');
		if (target > 0) {
			this.css('opacity', 0)
		} else {
			target = 1
		}
		return origShow.call(this).fadeTo(speed, target, callback)
	};
	$.fn.fadeOut = function(speed, callback) {
		return hide(this, speed, null, callback)
	};
	$.fn.fadeToggle = function(speed, callback) {
		return this.each(function() {
			var el = $(this);
			el[(el.css('opacity') == 0 || el.css('display') == 'none') ? 'fadeIn' : 'fadeOut'](speed, callback)
		})
	};
	$.fn._fadeIn = function() {
		this.show().removeClass("mod-animated_fadeOut").addClass("mod-animated_fadeIn")
	};
	$.fn._fadeOut = function() {
		var e = this;
		this.removeClass("mod-animated_fadeIn").addClass("mod-animated_fadeOut"), e.on("webkitAnimationEnd", function(a) {
			a.animationName == "ani-fadeOut" && e.hide()
		})
	}
})(Zepto);
(function($) {
	var zepto = $.zepto,
		oldQsa = zepto.qsa,
		oldMatches = zepto.matches;

	function visible(elem) {
		elem = $(elem);
		return !!(elem.width() || elem.height()) && elem.css("display") !== "none"
	}
	var filters = $.expr[':'] = {
		visible: function() {
			if (visible(this)) return this
		},
		hidden: function() {
			if (!visible(this)) return this
		},
		selected: function() {
			if (this.selected) return this
		},
		checked: function() {
			if (this.checked) return this
		},
		parent: function() {
			return this.parentNode
		},
		first: function(idx) {
			if (idx === 0) return this
		},
		last: function(idx, nodes) {
			if (idx === nodes.length - 1) return this
		},
		eq: function(idx, _, value) {
			if (idx === value) return this
		},
		contains: function(idx, _, text) {
			if ($(this).text().indexOf(text) > -1) return this
		},
		has: function(idx, _, sel) {
			if (zepto.qsa(this, sel).length) return this
		}
	};
	var filterRe = new RegExp('(.*):(\\w+)(?:\\(([^)]+)\\))?$\\s*'),
		childRe = /^\s*>/,
		classTag = 'Zepto' + (+new Date());

	function process(sel, fn) {
		sel = sel.replace(/=#\]/g, '="#"]');
		var filter, arg, match = filterRe.exec(sel);
		if (match && match[2] in filters) {
			filter = filters[match[2]], arg = match[3];
			sel = match[1];
			if (arg) {
				var num = Number(arg);
				if (isNaN(num)) {
					arg = arg.replace(/^["']|["']$/g, '')
				} else {
					arg = num
				}
			}
		}
		return fn(sel, filter, arg)
	};
	zepto.qsa = function(node, selector) {
		return process(selector, function(sel, filter, arg) {
			try {
				var taggedParent;
				if (!sel && filter) {
					sel = '*'
				} else if (childRe.test(sel)) {
					taggedParent = $(node).addClass(classTag), sel = '.' + classTag + ' ' + sel
				}
				var nodes = oldQsa(node, sel)
			} catch (e) {
				console.error('error performing selector: %o', selector);
				throw e
			} finally {
				if (taggedParent) {
					taggedParent.removeClass(classTag)
				}
			}
			return !filter ? nodes : zepto.uniq($.map(nodes, function(n, i) {
				return filter.call(n, i, nodes, arg)
			}))
		})
	};
	zepto.matches = function(node, selector) {
		return process(selector, function(sel, filter, arg) {
			return (!sel || oldMatches(node, sel)) && (!filter || filter.call(node, null, arg) === node)
		})
	}
})(Zepto);
(function($) {
	var n = function(e) {
			this.defaultConfig = {
				lazyLoadAttr: "data-src",
				preloadHeight: 200,
				loadedCallback: null,
				lazyLoadBg: !0,
				lazyLoadBgClass: "lazybg",
				useWebp: !1,
				isNeedGif: !0,
				throttle: 50
			}, this.config = $.extend({}, this.defaultConfig, e || {}), this.init.call(this)
		};
	$.extend(n.prototype, {
		init: function() {
			this._cache(), this.setLazyImgs(), this._initEvent(), this.actionLazy()
		},
		_initEvent: function() {
			var e = this;
			this.actionLazy = $.proxy(e._lazy, e), $(window).on("scroll", e.actionLazy), $(window).on("resize", e.actionLazy), $(window).on("orientationchange", e.actionLazy), $.bind(e, "afterLoaded", function(t) {
				e._afterLoaded(t.img, t.loadType)
			})
		},
		_cache: function() {
			this.scrollTimer = null
		},
		_getLazyImgs: function() {
			var e = this.config,
				n = [],
				i = null;
			return $("img").each(function() {
				i = $(this), i.attr(e.lazyLoadAttr) && n.push(i)
			}), e.lazyLoadBg && $("." + e.lazyLoadBgClass).each(function() {
				i = $(this), i.attr(e.lazyLoadAttr) && n.push(i)
			}), n
		},
		setLazyImgs: function() {
			this.lazyImgs = this._getLazyImgs(), this.lazyImgsLen = this.lazyImgs.length
		},
		_lazy: function() {
			var e = this,
				n = this.config,
				i = n.lazyLoadAttr,
				a = n.preloadHeight,
				o = $(window);
			this.scrollTimer && (clearTimeout(this.scrollTimer), this.scrollTimer = null), this.scrollTimer = setTimeout(function() {
				var r = $(window).scrollTop(),
					s = o.height(),
					c = r + s + a;
				$.each(e.lazyImgs, function(a, o) {
					var s = o.offset().top,
						l = s + o.height(),
						d = o.attr(i);
					c > s && l > r && d && (o.hasClass(n.lazyLoadBgClass) ? e._loadImg(o, function(e) {
						$(this).css("background-image", "url( " + e + " )")
					}, "bg") : e._loadImg(o, function(e) {
						$(this).attr("src", e)
					}, "img"))
				})
			}, n.throttle)
		},
		_dispose: function() {
			$(window).off("scroll", this.actionLazy), $(window).off("resize", this.actionLazy), $(window).off("orientationchange", this.actionLazy)
		},
		_afterLoaded: function(e, n) {
			var i = this.config;
			$.isFunction(i.loadedCallback) && i.loadedCallback(e, n)
		},
		_loadImg: function(n, i, a) {
			var o = new Image,
				r = this,
				s = this.config,
				c = n.attr(s.lazyLoadAttr);
			o.src = c, s.useWebp && (o.src = e.getWebpSrc(c, s.isNeedGif)), o.onload = function(e) {
				return function() {
					i && i.call(e, $(this).attr("src")), e.removeAttr(s.lazyLoadAttr), r.lazyImgsLen--, $.trigger(r, "afterLoaded", [{
						img: e,
						loadType: a
					}])
				}
			}(n)
		}
	});
	var i = null;
	n.getInstance = function(t) {
		return i ? i : i = new n(t)
	};
	window.imgLazyLoad = n
})(window.Zepto);
(function($) {
	var _week_picker_ = function(el, opts) {
			this.defaultConfig = {
				monthNames: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
				shortMonths: ["01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12"],
				weekNames: ["日", "一", "二", "三", "四", "五", "六"],
				weekStart: 0,
				mindate: "",
				maxdate: "",
				complete: null,
				callback: null
			}, this.config = $.extend({}, this.defaultConfig, opts || {}), this.wrap = $(el), this.init(), this.initDate()
		};
	_week_picker_.prototype = {
		init: function() {
			var t = this,
				nav = $('<div class="nav"><span class="prev">上周</span><span class="month-name"></span><span class="next">下周</span></div>'),
				tableShell = '<div class="calendar"><table><thead><tr>';
			this.navMonthName = $(".month-name", nav), this.navPrev = $(".prev", nav), this.navNext = $(".next", nav);
			this.navPrev.on("click", function() {
				if ($(this).hasClass("disable")) {
					return
				}
				t.moveWeek(-1)
			});
			this.navNext.on("click", function() {
				if ($(this).hasClass("disable")) {
					return
				}
				t.moveWeek(1)
			});
			$(this.adjustDays(t.config.weekNames)).each(function() {
				tableShell += "<th>" + this + "</th>"
			});
			tableShell += "</tr></thead><tbody></tbody></table></div>";
			this.wrap.append(nav, tableShell), this.tbody = $("tbody", this.wrap);
			$(this.tbody).on("click", ".selectable_day", function() {
				var d = $(this),
					date = d.attr("date");
				$(".active", t.tbody).removeClass("active"), d.addClass("active"), t.setNavName(t.stringToDate(date)), t.config.callback && t.config.callback(date, t)
			})
		},
		initDate: function(date) {
			var d = this.wrap.prop("date");
			if (typeof(date) == "undefined" && typeof(d) != "undefined") {
				date = this.stringToDate(d)
			};
			!date && (date = new Date()), this.selectedDate = date, this.selectedDateString = this.dateToString(this.selectedDate), this.selectWeek(this.selectedDate)
		},
		setNavName: function(date) {
			this.navMonthName.empty().append(date.getFullYear() + "年" + this.config.monthNames[date.getMonth()])
		},
		selectWeek: function(date) {
			var rangeStart = this.rangeStart(date),
				rangeEnd = this.rangeEnd(date),
				dayCells = document.createDocumentFragment(),
				nowDate = new Date();
			this.weekFirstDate = rangeStart;
			if (this.config.maxdate) {
				var maxDate = (this.config.maxdate === true) ? new Date() : this.stringToDate(this.config.maxdate);
				this.weekFirstDate < this.rangeStart(maxDate) ? this.navNext.removeClass("disable") : this.navNext.addClass("disable")
			}
			for (var i = 0; i < 7; i++) {
				var css = "selectable_day",
					day = new Date(rangeStart.getFullYear(), rangeStart.getMonth(), rangeStart.getDate() + i);
				$('<td class="' + css + '" date="' + this.dateToString(day) + '"><em>' + day.getDate() + '</em></td>').appendTo(dayCells)
			}
			var bd = $("<tr />").append(dayCells);
			(rangeStart < nowDate && rangeEnd > nowDate) && (date = nowDate);
			this.tbody.empty().append(bd), this.setNavName(date), $('td[date="' + this.dateToString(nowDate) + '"]', this.tbody).addClass("today"), $(".active", this.tbody).removeClass("active"), $('td[date="' + this.selectedDateString + '"]', this.tbody).addClass("active"), this.config.complete && this.config.complete(this)
		},
		moveWeek: function(m) {
			var date = new Date(this.weekFirstDate.getFullYear(), this.weekFirstDate.getMonth(), this.weekFirstDate.getDate() + m * 7);
			this.selectWeek(date)
		},
		adjustDays: function(days) {
			var newDays = [];
			for (var i = 0; i < days.length; i++) {
				newDays[i] = days[(i + this.config.weekStart) % 7]
			};
			return newDays
		},
		stringToDate: function(str) {
			var matches;
			if (matches = str.match(/^(\d{4,4})-([^\s]+)-(\d{1,2})$/)) {
				return new Date(matches[1], Math.abs(matches[2]) - 1, matches[3])
			} else {
				return null
			}
		},
		dateToString: function(date) {
			var d = date.getDate();
			d < 10 && (d = "0" + d);
			return date.getFullYear() + "-" + this.config.shortMonths[date.getMonth()] + "-" + d
		},
		rangeStart: function(date) {
			return new Date(date.getFullYear(), date.getMonth(), date.getDate() - date.getDay() + this.config.weekStart)
		},
		rangeEnd: function(date) {
			return new Date(date.getFullYear(), date.getMonth(), date.getDate() - date.getDay() + this.config.weekStart + 6)
		}
	};
	window.WeekPicker = _week_picker_;
	$.fn.WeekPicker = function(opts) {
		return this.each(function() {
			new WeekPicker(this, opts)
		})
	}
})(window.Zepto);

function FastClick(layer, options) {
	'use strict';
	var oldOnClick;
	options = options || {};
	this.trackingClick = false;
	this.trackingClickStart = 0;
	this.targetElement = null;
	this.touchStartX = 0;
	this.touchStartY = 0;
	this.lastTouchIdentifier = 0;
	this.touchBoundary = options.touchBoundary || 10;
	this.layer = layer;
	this.tapDelay = options.tapDelay || 200;
	if (FastClick.notNeeded(layer)) {
		return
	}
	function bind(method, context) {
		return function() {
			return method.apply(context, arguments)
		}
	}
	if (deviceIsAndroid) {
		layer.addEventListener('mouseover', bind(this.onMouse, this), true);
		layer.addEventListener('mousedown', bind(this.onMouse, this), true);
		layer.addEventListener('mouseup', bind(this.onMouse, this), true)
	}
	layer.addEventListener('click', bind(this.onClick, this), true);
	layer.addEventListener('touchstart', bind(this.onTouchStart, this), false);
	layer.addEventListener('touchmove', bind(this.onTouchMove, this), false);
	layer.addEventListener('touchend', bind(this.onTouchEnd, this), false);
	layer.addEventListener('touchcancel', bind(this.onTouchCancel, this), false);
	if (!Event.prototype.stopImmediatePropagation) {
		layer.removeEventListener = function(type, callback, capture) {
			var rmv = Node.prototype.removeEventListener;
			if (type === 'click') {
				rmv.call(layer, type, callback.hijacked || callback, capture)
			} else {
				rmv.call(layer, type, callback, capture)
			}
		};
		layer.addEventListener = function(type, callback, capture) {
			var adv = Node.prototype.addEventListener;
			if (type === 'click') {
				adv.call(layer, type, callback.hijacked || (callback.hijacked = function(event) {
					if (!event.propagationStopped) {
						callback(event)
					}
				}), capture)
			} else {
				adv.call(layer, type, callback, capture)
			}
		}
	}
	if (typeof layer.onclick === 'function') {
		oldOnClick = layer.onclick;
		layer.addEventListener('click', function(event) {
			oldOnClick(event)
		}, false);
		layer.onclick = null
	}
}
var deviceIsAndroid = navigator.userAgent.indexOf('Android') > 0;
var deviceIsIOS = /iP(ad|hone|od)/.test(navigator.userAgent);
var deviceIsIOS4 = deviceIsIOS && (/OS 4_\d(_\d)?/).test(navigator.userAgent);
var deviceIsIOSWithBadTarget = deviceIsIOS && (/OS ([6-9]|\d{2})_\d/).test(navigator.userAgent);
FastClick.prototype.needsClick = function(target) {
	'use strict';
	switch (target.nodeName.toLowerCase()) {
	case 'button':
	case 'select':
	case 'textarea':
		if (target.disabled) {
			return true
		}
		break;
	case 'input':
		if ((deviceIsIOS && target.type === 'file') || target.disabled) {
			return true
		}
		break;
	case 'label':
	case 'video':
		return true
	}
	return (/\bneedsclick\b/).test(target.className)
};
FastClick.prototype.needsFocus = function(target) {
	'use strict';
	switch (target.nodeName.toLowerCase()) {
	case 'textarea':
		return true;
	case 'select':
		return !deviceIsAndroid;
	case 'input':
		switch (target.type) {
		case 'button':
		case 'checkbox':
		case 'file':
		case 'image':
		case 'radio':
		case 'submit':
			return false
		}
		return !target.disabled && !target.readOnly;
	default:
		return (/\bneedsfocus\b/).test(target.className)
	}
};
FastClick.prototype.sendClick = function(targetElement, event) {
	'use strict';
	var clickEvent, touch;
	if (document.activeElement && document.activeElement !== targetElement) {
		document.activeElement.blur()
	}
	touch = event.changedTouches[0];
	clickEvent = document.createEvent('MouseEvents');
	clickEvent.initMouseEvent(this.determineEventType(targetElement), true, true, window, 1, touch.screenX, touch.screenY, touch.clientX, touch.clientY, false, false, false, false, 0, null);
	clickEvent.forwardedTouchEvent = true;
	targetElement.dispatchEvent(clickEvent)
};
FastClick.prototype.determineEventType = function(targetElement) {
	'use strict';
	if (deviceIsAndroid && targetElement.tagName.toLowerCase() === 'select') {
		return 'mousedown'
	}
	return 'click'
};
FastClick.prototype.focus = function(targetElement) {
	'use strict';
	var length;
	if (deviceIsIOS && targetElement.setSelectionRange && targetElement.type.indexOf('date') !== 0 && targetElement.type !== 'time') {
		length = targetElement.value.length;
		targetElement.setSelectionRange(length, length)
	} else {
		targetElement.focus()
	}
};
FastClick.prototype.updateScrollParent = function(targetElement) {
	'use strict';
	var scrollParent, parentElement;
	scrollParent = targetElement.fastClickScrollParent;
	if (!scrollParent || !scrollParent.contains(targetElement)) {
		parentElement = targetElement;
		do {
			if (parentElement.scrollHeight > parentElement.offsetHeight) {
				scrollParent = parentElement;
				targetElement.fastClickScrollParent = parentElement;
				break
			}
			parentElement = parentElement.parentElement
		} while (parentElement)
	}
	if (scrollParent) {
		scrollParent.fastClickLastScrollTop = scrollParent.scrollTop
	}
};
FastClick.prototype.getTargetElementFromEventTarget = function(eventTarget) {
	'use strict';
	if (eventTarget.nodeType === Node.TEXT_NODE) {
		return eventTarget.parentNode
	}
	return eventTarget
};
FastClick.prototype.onTouchStart = function(event) {
	'use strict';
	var targetElement, touch, selection;
	if (event.targetTouches.length > 1) {
		return true
	}
	targetElement = this.getTargetElementFromEventTarget(event.target);
	touch = event.targetTouches[0];
	if (deviceIsIOS) {
		selection = window.getSelection();
		if (selection.rangeCount && !selection.isCollapsed) {
			return true
		}
		if (!deviceIsIOS4) {
			if (touch.identifier === this.lastTouchIdentifier) {
				event.preventDefault();
				return false
			}
			this.lastTouchIdentifier = touch.identifier;
			this.updateScrollParent(targetElement)
		}
	}
	this.trackingClick = true;
	this.trackingClickStart = event.timeStamp;
	this.targetElement = targetElement;
	this.touchStartX = touch.pageX;
	this.touchStartY = touch.pageY;
	if ((event.timeStamp - this.lastClickTime) < this.tapDelay) {
		event.preventDefault()
	}
	return true
};
FastClick.prototype.touchHasMoved = function(event) {
	'use strict';
	var touch = event.changedTouches[0],
		boundary = this.touchBoundary;
	if (Math.abs(touch.pageX - this.touchStartX) > boundary || Math.abs(touch.pageY - this.touchStartY) > boundary) {
		return true
	}
	return false
};
FastClick.prototype.onTouchMove = function(event) {
	'use strict';
	if (!this.trackingClick) {
		return true
	}
	if (this.targetElement !== this.getTargetElementFromEventTarget(event.target) || this.touchHasMoved(event)) {
		this.trackingClick = false;
		this.targetElement = null
	}
	return true
};
FastClick.prototype.findControl = function(labelElement) {
	'use strict';
	if (labelElement.control !== undefined) {
		return labelElement.control
	}
	if (labelElement.htmlFor) {
		return document.getElementById(labelElement.htmlFor)
	}
	return labelElement.querySelector('button, input:not([type=hidden]), keygen, meter, output, progress, select, textarea')
};
FastClick.prototype.onTouchEnd = function(event) {
	'use strict';
	var forElement, trackingClickStart, targetTagName, scrollParent, touch, targetElement = this.targetElement;
	if (!this.trackingClick) {
		return true
	}
	if ((event.timeStamp - this.lastClickTime) < this.tapDelay) {
		this.cancelNextClick = true;
		return true
	}
	this.cancelNextClick = false;
	this.lastClickTime = event.timeStamp;
	trackingClickStart = this.trackingClickStart;
	this.trackingClick = false;
	this.trackingClickStart = 0;
	if (deviceIsIOSWithBadTarget) {
		touch = event.changedTouches[0];
		targetElement = document.elementFromPoint(touch.pageX - window.pageXOffset, touch.pageY - window.pageYOffset) || targetElement;
		targetElement.fastClickScrollParent = this.targetElement.fastClickScrollParent
	}
	targetTagName = targetElement.tagName.toLowerCase();
	if (targetTagName === 'label') {
		forElement = this.findControl(targetElement);
		if (forElement) {
			this.focus(targetElement);
			if (deviceIsAndroid) {
				return false
			}
			targetElement = forElement
		}
	} else if (this.needsFocus(targetElement)) {
		if ((event.timeStamp - trackingClickStart) > 100 || (deviceIsIOS && window.top !== window && targetTagName === 'input')) {
			this.targetElement = null;
			return false
		}
		this.focus(targetElement);
		this.sendClick(targetElement, event);
		if (!deviceIsIOS4 || targetTagName !== 'select') {
			this.targetElement = null;
			event.preventDefault()
		}
		return false
	}
	if (deviceIsIOS && !deviceIsIOS4) {
		scrollParent = targetElement.fastClickScrollParent;
		if (scrollParent && scrollParent.fastClickLastScrollTop !== scrollParent.scrollTop) {
			return true
		}
	}
	if (!this.needsClick(targetElement)) {
		event.preventDefault();
		this.sendClick(targetElement, event)
	}
	return false
};
FastClick.prototype.onTouchCancel = function() {
	'use strict';
	this.trackingClick = false;
	this.targetElement = null
};
FastClick.prototype.onMouse = function(event) {
	'use strict';
	if (!this.targetElement) {
		return true
	}
	if (event.forwardedTouchEvent) {
		return true
	}
	if (!event.cancelable) {
		return true
	}
	if (!this.needsClick(this.targetElement) || this.cancelNextClick) {
		if (event.stopImmediatePropagation) {
			event.stopImmediatePropagation()
		} else {
			event.propagationStopped = true
		}
		event.stopPropagation();
		event.preventDefault();
		return false
	}
	return true
};
FastClick.prototype.onClick = function(event) {
	'use strict';
	var permitted;
	if (this.trackingClick) {
		this.targetElement = null;
		this.trackingClick = false;
		return true
	}
	if (event.target.type === 'submit' && event.detail === 0) {
		return true
	}
	permitted = this.onMouse(event);
	if (!permitted) {
		this.targetElement = null
	}
	return permitted
};
FastClick.prototype.destroy = function() {
	'use strict';
	var layer = this.layer;
	if (deviceIsAndroid) {
		layer.removeEventListener('mouseover', this.onMouse, true);
		layer.removeEventListener('mousedown', this.onMouse, true);
		layer.removeEventListener('mouseup', this.onMouse, true)
	}
	layer.removeEventListener('click', this.onClick, true);
	layer.removeEventListener('touchstart', this.onTouchStart, false);
	layer.removeEventListener('touchmove', this.onTouchMove, false);
	layer.removeEventListener('touchend', this.onTouchEnd, false);
	layer.removeEventListener('touchcancel', this.onTouchCancel, false)
};
FastClick.notNeeded = function(layer) {
	'use strict';
	var metaViewport;
	var chromeVersion;
	if (typeof window.ontouchstart === 'undefined') {
		return true
	}
	chromeVersion = +(/Chrome\/([0-9]+)/.exec(navigator.userAgent) || [, 0])[1];
	if (chromeVersion) {
		if (deviceIsAndroid) {
			metaViewport = document.querySelector('meta[name=viewport]');
			if (metaViewport) {
				if (metaViewport.content.indexOf('user-scalable=no') !== -1) {
					return true
				}
				if (chromeVersion > 31 && window.innerWidth <= window.screen.width) {
					return true
				}
			}
		} else {
			return true
		}
	}
	if (layer.style.msTouchAction === 'none') {
		return true
	}
	return false
};
FastClick.attach = function(layer, options) {
	'use strict';
	return new FastClick(layer, options)
};
if (typeof define !== 'undefined' && define.amd) {
	define(function() {
		'use strict';
		return FastClick
	})
} else if (typeof module !== 'undefined' && module.exports) {
	module.exports = FastClick.attach;
	module.exports.FastClick = FastClick
} else {
	window.FastClick = FastClick
};
!
function(e, t) {
	"object" == typeof exports && "object" == typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define([], t) : "object" == typeof exports ? exports.template = t() : e.template = t()
}(this, function() {
	return function(e) {
		function t(r) {
			if (n[r]) return n[r].exports;
			var o = n[r] = {
				i: r,
				l: !1,
				exports: {}
			};
			return e[r].call(o.exports, o, o.exports, t), o.l = !0, o.exports
		}
		var n = {};
		return t.m = e, t.c = n, t.i = function(e) {
			return e
		}, t.d = function(e, n, r) {
			t.o(e, n) || Object.defineProperty(e, n, {
				configurable: !1,
				enumerable: !0,
				get: r
			})
		}, t.n = function(e) {
			var n = e && e.__esModule ?
			function() {
				return e["default"]
			} : function() {
				return e
			};
			return t.d(n, "a", n), n
		}, t.o = function(e, t) {
			return Object.prototype.hasOwnProperty.call(e, t)
		}, t.p = "", t(t.s = 22)
	}([function(e, t, n) {
		(function(t) {
			e.exports = !1;
			try {
				e.exports = "[object process]" === Object.prototype.toString.call(t.process)
			} catch (n) {}
		}).call(t, n(4))
	}, function(e, t, n) {
		"use strict";
		var r = n(17),
			o = n(2),
			i = n(18),
			s = function(e, t) {
				t.onerror(e, t);
				var n = function() {
						return "{Template Error}"
					};
				return n.mappings = [], n.sourcesContent = [], n
			},
			a = function c(e) {
				var t = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
				"string" != typeof e ? t = e : t.source = e, t = o.$extend(t), e = t.source, t.debug && (t.cache = !1, t.bail = !1, t.minimize = !1, t.compileDebug = !0), t.compileDebug && (t.minimize = !1), t.filename && (t.filename = t.resolveFilename(t.filename, t));
				var n = t.filename,
					a = t.cache,
					u = t.caches;
				if (a && n) {
					var p = u.get(n);
					if (p) return p
				}
				if (!e) try {
					e = t.loader(n, t), t.source = e
				} catch (d) {
					var f = new i({
						name: "CompileError",
						path: n,
						message: "template not found: " + d.message,
						stack: d.stack
					});
					if (t.bail) throw f;
					return s(f, t)
				}
				var l = void 0,
					h = new r(t);
				try {
					l = h.build()
				} catch (f) {
					if (f = new i(f), t.bail) throw f;
					return s(f, t)
				}
				var m = function(e, n) {
						try {
							return l(e, n)
						} catch (f) {
							if (!t.compileDebug) return t.cache = !1, t.compileDebug = !0, c(t)(e, n);
							if (f = new i(f), t.bail) throw f;
							return s(f, t)()
						}
					};
				return m.mappings = l.mappings, m.sourcesContent = l.sourcesContent, m.toString = function() {
					return l.toString()
				}, a && n && u.set(n, m), m
			};
		a.Compiler = r, e.exports = a
	}, function(e, t, n) {
		"use strict";

		function r() {
			this.$extend = function(e) {
				return e = e || {}, s(e, e instanceof r ? e : this)
			}
		}
		var o = n(0),
			i = n(20),
			s = n(9),
			a = n(11),
			c = n(13),
			u = n(8),
			p = n(12),
			f = n(15),
			l = n(16),
			h = n(10),
			m = n(14),
			d = {
				source: null,
				filename: null,
				rules: [l, f],
				escape: !0,
				debug: !! o && "production" !== process.env.NODE_ENV,
				bail: !1,
				cache: !0,
				minimize: !0,
				compileDebug: !1,
				resolveFilename: m,
				include: a,
				htmlMinifier: h,
				htmlMinifierOptions: {
					collapseWhitespace: !0,
					minifyCSS: !0,
					minifyJS: !0,
					ignoreCustomFragments: []
				},
				onerror: c,
				loader: p,
				caches: u,
				root: "/",
				extname: ".art",
				ignore: [],
				imports: i
			};
		r.prototype = d, e.exports = new r
	}, function(e, t) {}, function(e, t) {
		var n;
		n = function() {
			return this
		}();
		try {
			n = n || Function("return this")() || (0, eval)("this")
		} catch (r) {
			"object" == typeof window && (n = window)
		}
		e.exports = n
	}, function(e, t) {
		Object.defineProperty(t, "__esModule", {
			value: !0
		}), t["default"] = /((['"])(?:(?!\2|\\).|\\(?:\r\n|[\s\S]))*(\2)?|`(?:[^`\\$]|\\[\s\S]|\$(?!\{)|\$\{(?:[^{}]|\{[^}]*\}?)*\}?)*(`)?)|(\/\/.*)|(\/\*(?:[^*]|\*(?!\/))*(\*\/)?)|(\/(?!\*)(?:\[(?:(?![\]\\]).|\\.)*\]|(?![\/\]\\]).|\\.)+\/(?:(?!\s*(?:\b|[\u0080-\uFFFF$\\'"~({]|[+\-!](?!=)|\.?\d))|[gmiyu]{1,5}\b(?![\u0080-\uFFFF$\\]|\s*(?:[+\-*%&|^<>!=?({]|\/(?![\/*])))))|(0[xX][\da-fA-F]+|0[oO][0-7]+|0[bB][01]+|(?:\d*\.\d+|\d+\.?)(?:[eE][+-]?\d+)?)|((?!\d)(?:(?!\s)[$\w\u0080-\uFFFF]|\\u[\da-fA-F]{4}|\\u\{[\da-fA-F]+\})+)|(--|\+\+|&&|\|\||=>|\.{3}|(?:[+\-\/%&|^]|\*{1,2}|<{1,2}|>{1,3}|!=?|={1,2})=?|[?~.,:;[\](){}])|(\s+)|(^$|[\s\S])/g, t.matchToToken = function(e) {
			var t = {
				type: "invalid",
				value: e[0]
			};
			return e[1] ? (t.type = "string", t.closed = !(!e[3] && !e[4])) : e[5] ? t.type = "comment" : e[6] ? (t.type = "comment", t.closed = !! e[7]) : e[8] ? t.type = "regex" : e[9] ? t.type = "number" : e[10] ? t.type = "name" : e[11] ? t.type = "punctuator" : e[12] && (t.type = "whitespace"), t
		}
	}, function(e, t, n) {
		"use strict";
		e.exports = n(2)
	}, function(e, t, n) {
		"use strict";
		var r = n(1),
			o = function(e, t, n) {
				return r(e, n)(t)
			};
		e.exports = o
	}, function(e, t, n) {
		"use strict";
		var r = {
			__data: Object.create(null),
			set: function(e, t) {
				this.__data[e] = t
			},
			get: function(e) {
				return this.__data[e]
			},
			reset: function() {
				this.__data = {}
			}
		};
		e.exports = r
	}, function(e, t, n) {
		"use strict";
		var r = Object.prototype.toString,
			o = function(e) {
				return null === e ? "Null" : r.call(e).slice(8, -1)
			},
			i = function s(e, t) {
				var n = void 0,
					r = o(e);
				if ("Object" === r ? n = Object.create(t || {}) : "Array" === r && (n = [].concat(t || [])), n) {
					for (var i in e) e.hasOwnProperty(i) && (n[i] = s(e[i], n[i]));
					return n
				}
				return e
			};
		e.exports = i
	}, function(e, t, n) {
		"use strict";
		var r = n(0),
			o = function(e, t) {
				if (r) {
					var o, i = n(23).minify,
						s = t.htmlMinifierOptions,
						a = t.rules.map(function(e) {
							return e.test
						});
					(o = s.ignoreCustomFragments).push.apply(o, a), e = i(e, s)
				}
				return e
			};
		e.exports = o
	}, function(e, t, n) {
		"use strict";
		var r = function(e, t, r, o) {
				var i = n(1);
				return o = o.$extend({
					filename: o.resolveFilename(e, o),
					bail: !0,
					source: null
				}), i(o)(t, r)
			};
		e.exports = r
	}, function(e, t, n) {
		"use strict";
		var r = n(0),
			o = function(e) {
				if (r) {
					return n(3).readFileSync(e, "utf8")
				}
				var t = document.getElementById(e);
				return t.value || t.innerHTML
			};
		e.exports = o
	}, function(e, t, n) {
		"use strict";
		var r = function(e) {
				console.error(e.name, e.message)
			};
		e.exports = r
	}, function(e, t, n) {
		"use strict";
		var r = n(0),
			o = /^\.+\//,
			i = function(e, t) {
				if (r) {
					var i = n(3),
						s = t.root,
						a = t.extname;
					if (o.test(e)) {
						var c = t.filename,
							u = !c || e === c,
							p = u ? s : i.dirname(c);
						e = i.resolve(p, e)
					} else e = i.resolve(s, e);
					i.extname(e) || (e += a)
				}
				return e
			};
		e.exports = i
	}, function(e, t, n) {
		"use strict";
		var r = {

			test: /{{[ \t]*([@#]?)(\/?)([\w\W]*?)[ \t]*}}/,
			use: function(e, t, n, o) {
				var i = this,
					s = i.options,
					a = i.getEsTokens(o.trim()),
					c = a.map(function(e) {
						return e.value
					}),
					u = {},
					p = void 0,
					f = !! t && "raw",
					l = n + c.shift(),
					h = function(t, n) {
						console.warn((s.filename || "anonymous") + ":" + (e.line + 1) + ":" + (e.start + 1) + "\nTemplate upgrade: {{" + t + "}} -> {{" + n + "}}")
					};
				switch ("#" === t && h("#value", "@value"), l) {
				case "set":
					o = "var " + c.join("");
					break;
				case "if":
					o = "if(" + c.join("") + "){";
					break;
				case "else":
					var m = c.indexOf("if");
					m > -1 ? (c.splice(0, m + 1), o = "}else if(" + c.join("") + "){") : o = "}else{";
					break;
				case "/if":
					o = "}";
					break;
				case "each":
					p = r._split(a), p.shift(), "as" === p[1] && (h("each object as value index", "each object value index"), p.splice(1, 1));
					var d = p[0] || "$data",
						v = p[1] || "$value",
						g = p[2] || "$index";
					o = "$each(" + d + ",function(" + v + "," + g + "){";
					break;
				case "/each":
					o = "})";
					break;
				case "block":
					o = "block(" + c.join("") + ",function(){";
					break;
				case "/block":
					o = "})";
					break;
				case "echo":
					l = "print", h("echo value", "value");
				case "print":
				case "include":
				case "extend":
					if (0 !== c.join("").trim().indexOf("(")) {
						p = r._split(a), p.shift(), o = l + "(" + p.join(",") + ")";
						break
					}
				default:
					if (-1 !== c.indexOf("|")) {
						for (var y = l, b = [], x = c.filter(function(e) {
							return !/^\s+$/.test(e)
						});
						"|" !== x[0];) y += x.shift();
						x.filter(function(e) {
							return ":" !== e
						}).forEach(function(e) {
							"|" === e ? b.push([]) : b[b.length - 1].push(e)
						}), b.reduce(function(e, t) {
							var n = t.shift();
							return t.unshift(e), o = "$imports." + n + "(" + t.join(",") + ")"
						}, y)
					} else o = "" + l + c.join("");
					f = f || "escape"
				}
				return u.code = o, u.output = f, u
			},
			_split: function(e) {
				for (var t = 0, n = e.shift(), r = [
					[n]
				]; t < e.length;) {
					var o = e[t],
						i = o.type;
					"whitespace" !== i && "comment" !== i && ("punctuator" === n.type && "]" !== n.value || "punctuator" === i ? r[r.length - 1].push(o) : r.push([o]), n = o), t++
				}
				return r.map(function(e) {
					return e.map(function(e) {
						return e.value
					}).join("")
				})
			}
		};
		e.exports = r
	}, function(e, t, n) {
		"use strict";
		var r = {
			test: /<%(#?)((?:==|=#|[=-])?)([\w\W]*?)(-?)%>/,
			use: function(e, t, n, r) {
				return n = {
					"-": "raw",
					"=": "escape",
					"": !1,
					"==": "raw",
					"=#": "raw"
				}[n], t && (r = "/*" + e + "*/", n = !1), {
					code: r,
					output: n
				}
			}
		};
		e.exports = r
	}, function(e, t, n) {
		"use strict";

		function r(e, t) {
			if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function")
		}
		var o = n(19),
			i = n(21),
			s = "$data",
			a = "$imports",
			c = "print",
			u = "include",
			p = "extend",
			f = "block",
			l = "$$out",
			h = "$$line",
			m = "$$blocks",
			d = "$$slice",
			v = "$$from",
			g = "$$options",
			y = function(e, t) {
				return e.hasOwnProperty(t)
			},
			b = JSON.stringify,
			x = function() {
				function e(t) {
					var n, o, y = this;
					r(this, e);
					var b = t.source,
						x = t.minimize,
						w = t.htmlMinifier;
					if (this.options = t, this.stacks = [], this.context = [], this.scripts = [], this.CONTEXT_MAP = {}, this.ignore = [s, a, g].concat(t.ignore), this.internal = (n = {}, n[l] = "''", n[h] = "[0,0]", n[m] = "arguments[1]||{}", n[v] = "null", n[c] = "function(){var s=''.concat.apply('',arguments);" + l + "+=s;return s}", n[u] = "function(src,data){var s=" + g + ".include(src,data||" + s + ",arguments[2]||" + m + "," + g + ");" + l + "+=s;return s}", n[p] = "function(from){" + v + "=from}", n[d] = "function(c,p,s){p=" + l + ";" + l + "='';c();s=" + l + ";" + l + "=p+s;return s}", n[f] = "function(){var a=arguments,s;if(typeof a[0]==='function'){return " + d + "(a[0])}else if(" + v + "){" + m + "[a[0]]=" + d + "(a[1])}else{s=" + m + "[a[0]];if(typeof s==='string'){" + l + "+=s}else{s=" + d + "(a[1])}return s}}", n), this.dependencies = (o = {}, o[c] = [l], o[u] = [l, g, s, m], o[p] = [v, u], o[f] = [d, v, l, m], o), this.importContext(l), t.compileDebug && this.importContext(h), x) try {
						b = w(b, t)
					} catch (E) {}
					this.source = b, this.getTplTokens(b, t.rules, this).forEach(function(e) {
						e.type === i.TYPE_STRING ? y.parseString(e) : y.parseExpression(e)
					})
				}
				return e.prototype.getTplTokens = function() {
					return i.apply(undefined, arguments)
				}, e.prototype.getEsTokens = function(e) {
					return o(e)
				}, e.prototype.getVariables = function(e) {
					var t = !1;
					return e.filter(function(e) {
						return "whitespace" !== e.type && "comment" !== e.type
					}).filter(function(e) {
						return "name" === e.type && !t || (t = "punctuator" === e.type && "." === e.value, !1)
					}).map(function(e) {
						return e.value
					})
				}, e.prototype.importContext = function(e) {
					var t = this,
						n = "",
						r = this.internal,
						o = this.dependencies,
						i = this.ignore,
						c = this.context,
						u = this.options,
						p = u.imports,
						f = this.CONTEXT_MAP;
					y(f, e) || -1 !== i.indexOf(e) || (y(r, e) ? (n = r[e], y(o, e) && o[e].forEach(function(e) {
						return t.importContext(e)
					})) : n = "$escape" === e || "$each" === e || y(p, e) ? a + "." + e : s + "." + e, f[e] = n, c.push({
						name: e,
						value: n
					}))
				}, e.prototype.parseString = function(e) {
					var t = e.value;
					if (t) {
						var n = l + "+=" + b(t);
						this.scripts.push({
							source: t,
							tplToken: e,
							code: n
						})
					}
				}, e.prototype.parseExpression = function(e) {
					var t = this,
						n = e.value,
						r = e.script,
						o = r.output,
						s = this.options.escape,
						a = r.code;
					o && (a = !1 === s || o === i.TYPE_RAW ? l + "+=" + r.code : l + "+=$escape(" + r.code + ")");
					var c = this.getEsTokens(a);
					this.getVariables(c).forEach(function(e) {
						return t.importContext(e)
					}), this.scripts.push({
						source: n,
						tplToken: e,
						code: a
					})
				}, e.prototype.checkExpression = function(e) {
					for (var t = [
						[/^\s*}[\w\W]*?{?[\s;]*$/, ""],
						[/(^[\w\W]*?\([\w\W]*?(?:=>|\([\w\W]*?\))\s*{[\s;]*$)/, "$1})"],
						[/(^[\w\W]*?\([\w\W]*?\)\s*{[\s;]*$)/, "$1}"]
					], n = 0; n < t.length;) {
						if (t[n][0].test(e)) {
							var r;
							e = (r = e).replace.apply(r, t[n]);
							break
						}
						n++
					}
					try {
						return new Function(e), !0
					} catch (o) {
						return !1
					}
				}, e.prototype.build = function() {
					var e = this.options,
						t = this.context,
						n = this.scripts,
						r = this.stacks,
						o = this.source,
						c = e.filename,
						f = e.imports,
						d = [],
						x = y(this.CONTEXT_MAP, p),
						w = 0,
						E = function(e, t) {
							var n = t.line,
								o = t.start,
								i = {
									generated: {
										line: r.length + w + 1,
										column: 1
									},
									original: {
										line: n + 1,
										column: o + 1
									}
								};
							return w += e.split(/\n/).length - 1, i
						},
						k = function(e) {
							return e.replace(/^[\t ]+|[\t ]$/g, "")
						};
					r.push("function(" + s + "){"), r.push("'use strict'"), r.push(s + "=" + s + "||{}"), r.push("var " + t.map(function(e) {
						return e.name + "=" + e.value
					}).join(",")), e.compileDebug ? (r.push("try{"), n.forEach(function(e) {
						e.tplToken.type === i.TYPE_EXPRESSION && r.push(h + "=[" + [e.tplToken.line, e.tplToken.start].join(",") + "]"), d.push(E(e.code, e.tplToken)), r.push(k(e.code))
					}), r.push("}catch(error){"), r.push("throw {" + ["name:'RuntimeError'", "path:" + b(c), "message:error.message", "line:" + h + "[0]+1", "column:" + h + "[1]+1", "source:" + b(o), "stack:error.stack"].join(",") + "}"), r.push("}")) : n.forEach(function(e) {
						d.push(E(e.code, e.tplToken)), r.push(k(e.code))
					}), x && (r.push(l + "=''"), r.push(u + "(" + v + "," + s + "," + m + ")")), r.push("return " + l), r.push("}");
					var T = r.join("\n");
					try {
						var $ = new Function(a, g, "return " + T)(f, e);
						return $.mappings = d, $.sourcesContent = [o], $
					} catch (F) {
						for (var O = 0, j = 0, S = 0, C = void 0; O < n.length;) {
							var _ = n[O];
							if (!this.checkExpression(_.code)) {
								j = _.tplToken.line, S = _.tplToken.start, C = _.code;
								break
							}
							O++
						}
						throw {
							name: "CompileError",
							path: c,
							message: F.message,
							line: j + 1,
							column: S + 1,
							source: o,
							generated: C,
							stack: F.stack
						}
					}
				}, e
			}();
		x.CONSTS = {
			DATA: s,
			IMPORTS: a,
			PRINT: c,
			INCLUDE: u,
			EXTEND: p,
			BLOCK: f,
			OPTIONS: g,
			OUT: l,
			LINE: h,
			BLOCKS: m,
			SLICE: d,
			FROM: v,
			ESCAPE: "$escape",
			EACH: "$each"
		}, e.exports = x
	}, function(e, t, n) {
		"use strict";

		function r(e, t) {
			if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function")
		}
		function o(e, t) {
			if (!e) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
			return !t || "object" != typeof t && "function" != typeof t ? e : t
		}
		function i(e, t) {
			if ("function" != typeof t && null !== t) throw new TypeError("Super expression must either be null or a function, not " + typeof t);
			e.prototype = Object.create(t && t.prototype, {
				constructor: {
					value: e,
					enumerable: !1,
					writable: !0,
					configurable: !0
				}
			}), t && (Object.setPrototypeOf ? Object.setPrototypeOf(e, t) : e.__proto__ = t)
		}
		function s(e) {
			var t = e.name,
				n = e.source,
				r = e.path,
				o = e.line,
				i = e.column,
				s = e.generated,
				a = e.message;
			if (!n) return a;
			var c = n.split(/\n/),
				u = Math.max(o - 3, 0),
				p = Math.min(c.length, o + 3),
				f = c.slice(u, p).map(function(e, t) {
					var n = t + u + 1;
					return (n === o ? " >> " : "    ") + n + "| " + e
				}).join("\n");
			return (r || "anonymous") + ":" + o + ":" + i + "\n" + f + "\n\n" + t + ": " + a + (s ? "\n   generated: " + s : "")
		}
		var a = function(e) {
				function t(n) {
					r(this, t);
					var i = o(this, e.call(this, n.message));
					return i.name = "TemplateError", i.message = s(n), Error.captureStackTrace && Error.captureStackTrace(i, i.constructor), i
				}
				return i(t, e), t
			}(Error);
		e.exports = a
	}, function(e, t, n) {
		"use strict";
		var r = n(24),
			o = n(5)["default"],
			i = n(5).matchToToken,
			s = function(e) {
				return e.match(o).map(function(e) {
					return o.lastIndex = 0, i(o.exec(e))
				}).map(function(e) {
					return "name" === e.type && r(e.value) && (e.type = "keyword"), e
				})
			};
		e.exports = s
	}, function(e, t, n) {
		"use strict";
		(function(t) {
			function r(e) {
				return "string" != typeof e && (e = e === undefined || null === e ? "" : "function" == typeof e ? r(e.call(e)) : JSON.stringify(e)), e
			}
			function o(e) {
				var t = "" + e,
					n = a.exec(t);
				if (!n) return e;
				var r = "",
					o = void 0,
					i = void 0,
					s = void 0;
				for (o = n.index, i = 0; o < t.length; o++) {
					switch (t.charCodeAt(o)) {
					case 34:
						s = "&#34;";
						break;
					case 38:
						s = "&#38;";
						break;
					case 39:
						s = "&#39;";
						break;
					case 60:
						s = "&#60;";
						break;
					case 62:
						s = "&#62;";
						break;
					default:
						continue
					}
					i !== o && (r += t.substring(i, o)), i = o + 1, r += s
				}
				return i !== o ? r + t.substring(i, o) : r
			}
			var i = n(0),
				s = Object.create(i ? t : window),
				a = /["&'<>]/;
			s.$escape = function(e) {
				return o(r(e))
			}, s.$each = function(e, t) {
				if (Array.isArray(e)) for (var n = 0, r = e.length; n < r; n++) t(e[n], n);
				else for (var o in e) t(e[o], o)
			}, e.exports = s
		}).call(t, n(4))
	}, function(e, t, n) {
		"use strict";

		function r(e, t, n, r) {
			var o = new String(e);
			return o.line = t, o.start = n, o.end = r, o
		}
		var o = function(e, t) {
				for (var n = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {}, o = [{
					type: "string",
					value: e,
					line: 0,
					start: 0,
					end: e.length
				}], i = 0; i < t.length; i++)!
				function(e) {
					for (var t = e.test.ignoreCase ? "ig" : "g", i = e.test.source + "|^$|[\\w\\W]", s = new RegExp(i, t), a = 0; a < o.length; a++) if ("string" === o[a].type) {
						for (var c = o[a].line, u = o[a].start, p = o[a].end, f = o[a].value.match(s), l = [], h = 0; h < f.length; h++) {
							var m = f[h];
							e.test.lastIndex = 0;
							var d = e.test.exec(m),
								v = d ? "expression" : "string",
								g = l[l.length - 1],
								y = g || o[a],
								b = y.value;
							u = y.line === c ? g ? g.end : u : b.length - b.lastIndexOf("\n") - 1, p = u + m.length;
							var x = {
								type: v,
								value: m,
								line: c,
								start: u,
								end: p
							};
							if ("string" === v) g && "string" === g.type ? (g.value += m, g.end += m.length) : l.push(x);
							else {
								d[0] = new r(d[0], c, u, p);
								var w = e.use.apply(n, d);
								x.script = w, l.push(x)
							}
							c += m.split(/\n/).length - 1
						}
						o.splice.apply(o, [a, 1].concat(l)), a += l.length - 1
					}
				}(t[i]);
				return o
			};
		o.TYPE_STRING = "string", o.TYPE_EXPRESSION = "expression", o.TYPE_RAW = "raw", o.TYPE_ESCAPE = "escape", e.exports = o
	}, function(e, t, n) {
		"use strict";
		var r = n(7),
			o = n(1),
			i = n(6),
			s = function(e, t) {
				return t instanceof Object ? r({
					filename: e
				}, t) : o({
					filename: e,
					source: t
				})
			};
		s.render = r, s.compile = o, s.defaults = i, e.exports = s
	}, function(e, t) {
		!
		function(e) {
			e.noop = function() {}
		}("object" == typeof e && "object" == typeof e.exports ? e.exports : window)
	}, function(e, t, n) {
		"use strict";
		var r = {
			"abstract": !0,
			await: !0,
			"boolean": !0,
			"break": !0,
			"byte": !0,
			"case": !0,
			"catch": !0,
			"char": !0,
			"class": !0,
			"const": !0,
			"continue": !0,
			"debugger": !0,
			"default": !0,
			"delete": !0,
			"do": !0,
			"double": !0,
			"else": !0,
			"enum": !0,
			"export": !0,
			"extends": !0,
			"false": !0,
			"final": !0,
			"finally": !0,
			"float": !0,
			"for": !0,
			"function": !0,
			"goto": !0,
			"if": !0,
			"implements": !0,
			"import": !0,
			"in": !0,
			"instanceof": !0,
			"int": !0,
			"interface": !0,
			"let": !0,
			"long": !0,
			"native": !0,
			"new": !0,
			"null": !0,
			"package": !0,
			"private": !0,
			"protected": !0,
			"public": !0,
			"return": !0,
			"short": !0,
			"static": !0,
			"super": !0,
			"switch": !0,
			"synchronized": !0,
			"this": !0,
			"throw": !0,
			"transient": !0,
			"true": !0,
			"try": !0,
			"typeof": !0,
			"var": !0,
			"void": !0,
			"volatile": !0,
			"while": !0,
			"with": !0,
			"yield": !0
		};
		e.exports = function(e) {
			return r.hasOwnProperty(e)
		}
	}])
});

function dateFormat(t, f) {
	var format = function(t, g) {
			var m = new Date(parseInt(t) * 1000),
				o = {
					"m+": m.getMonth() + 1,
					"d+": m.getDate(),
					"h+": m.getHours(),
					"i+": m.getMinutes(),
					"s+": m.getSeconds()
				},
				z = function(v) {
					return (v < 10) ? ("0" + v) : v
				},
				g = g || "yyyy-mm-dd hh:ii:ss",
				n = g;
			if (/(y+)/.test(g)) {
				n = n.replace(RegExp.$1, (m.getFullYear() + "").substr(4 - RegExp.$1.length))
			}
			for (var k in o) {
				if (new RegExp("(" + k + ")").test(n)) {
					n = n.replace(RegExp.$1, z(o[k]))
				}
			}
			return n
		},
		nd = new Date(),
		n = Date.parse(nd) / 1000,
		m = Date.parse(format(n, "yyyy/mm/dd")) / 1000,
		i = new Date(Date.parse(t.replace(/-/g, "/"))).getTime() / 1000,
		j = Date.parse(format(i, "yyyy/mm/dd")) / 1000,
		d = n - i,
		r = "",
		f = f || "yyyy-mm-dd hh:ii",
		k = Math.ceil((m - j) / 86400);
	if (k == 0) {
		if (d < 60) {
			r = "刚刚"
		} else if (d < 3600) {
			r = Math.ceil(d / 60) + "分钟前"
		} else if (d < 86400) {
			r = Math.ceil(d / 3600) + "小时前"
		}
	} else if (k == 1) {
		r = "昨天 " + format(i, "hh:ii")
	} else {
		r = format(i, f)
	}
	return r
};
template.defaults.minimize = true;
template.defaults.imports.htmlStrip = function(c) {
	c = c.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi, function(m, s) {
		return '<img src="' + s + '">'
	});
	return c
};
template.defaults.imports.strCut = function(s, c, l) {
	typeof(l) == "undefined" && (l = c, c = 0);
	return s.substr(c, l)
};
template.defaults.imports.dateFormat = dateFormat;
(function(win, dom) {
	var _core_ = {
		init: function() {
			this.resizeFont(), FastClick.attach(dom.body);
			$(".g-header .reback").on("click", function() {
				window.history.length > 1 ? window.history.go(-1) : window.location.href = "/"
			})
		},
		resizeFont: function() {
			var resizeEvt = "orientationchange" in window ? "orientationchange" : "resize",
				recalc = function() {
					var W = (screen.width > 0) ? (window.innerWidth >= screen.width || window.innerWidth == 0) ? screen.width : window.innerWidth : window.innerWidth,
						H = (screen.height > 0) ? (window.innerHeight >= screen.height || window.innerHeight == 0) ? screen.height : window.innerHeight : window.innerHeight;
					W > H && (W = H), S = W / 7.5;
					window.REM = S;
					document.querySelector("html").style.fontSize = S + "px"
				};
			if (!document.addEventListener) {
				return
			}
			recalc();
			window.addEventListener(resizeEvt, recalc, false)
		},
		ua: function(t) {
			var n = t || "",
				u = window.navigator.userAgent.toLowerCase(),
				b = false;
			switch (n) {
			case "weixin":
				b = (u.match(/MicroMessenger/i) == "micromessenger") ? true : false;
				break;
			case "qq":
				b = (u.match(/QQ/i) == "qq") ? true : false;
				break
			}
			return b
		},
		valid: {
			Blank: function(it) {
				var f = false;
				if (it.indexOf("　") > -1 || it.indexOf(" ") > -1) {
					f = true
				}
				return f
			},
			CorChar: function(it) {
				return (/^[\u4e00-\u9fa5A-Za-z0-9]+$/).test(it)
			},
			CharSpel: function(it) {
				return (/>|<|,|\[|\]|\{|\}|\?|\/|\+|=|\||\'|\\|\"|:|\.|;|\~|\!|\@|\#|\*|\$|\%|\^|\&|\(|\)|`/i).test(it)
			},
			Money: function(it) {
				if (parseFloat(it) <= 0 || isNaN(parseFloat(it))) {
					return false
				}
				return (/^[0-9]*(\.[0-9]{0,2})?$/).test(it)
			},
			Int: function(it) {
				return (/^[1-9]+\d*$/).test(it)
			},
			Num: function(it) {
				return (/^[0-9]+$/).test(it)
			},
			Chn: function(it) {
				return escape(it).indexOf("%u") > -1
			},
			Email: function(it) {
				return (/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i).test(it)
			},
			Phone: function(it) {
				return (/^1[3|4|5|7|8][0-9]+\d{8}$/).test(it)
			},
			Checked: function(it) {
				return $("*[name='" + it + "']:checked").val()
			},
			Length: function(it) {
				var l = escape(it),
					len;
				len = l.length - (l.length - l.replace(/\%u/g, "u").length) * 4;
				l = l.replace(/\%u/g, "uu");
				len = len - (l.length - l.replace(/\%/g, "").length) * 2;
				return len
			},
			IDCard: function(it) {
				return (/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/).test(it)
			}
		},
		freshSrc: function(id) {
			var ele = $(id),
				rand = Math.random(),
				src = ele.attr("src");
			if (src.indexOf("&") != -1) {
				var n = src.split("&"),
					_scr = n[0] + "&r=" + rand
			} else if (src.indexOf("?") != -1) {
				var n = src.split("?"),
					_scr = n[0] + "?r=" + rand
			} else {
				var _scr = src + "?r=" + rand
			}
			ele.attr("src", _scr)
		},
		enforceLocation: function(f) {
			var l = f ? f : window.location.href,
				q = $.matchUrlParam(l),
				m = l.split("?");
			q["r"] = (new Date().getTime());
			window.location.href = m[0] + "?" + $.param(q)
		},
		gotop: function() {
			var e = $(".g-gotop"),
				s = function() {
					var h = window.innerHeight,
						i = $(window).scrollTop();
					i > h ? r(true) : r()
				},
				r = function(o) {
					o ? e._fadeIn() : e._fadeOut()
				};
			e.length < 1 && (e = $('<div class="g-gotop"><i class="sp-icon sp-icon_gotop"></i></div>'), $("#body_container").append(e)), e.on("click", function() {
				$("body, html").goTop()
			}), s(), window.addEventListener("scroll", s)
		}
	},
		_hash_page_ = {
			init: function(o) {
				this._options = $.extend({}, {
					_body: "#body_container",
					_main: "#main_container",
					_container: "#hashpage_container",
					cssClass: "",
					routes: null
				}, o || {}), this.$body = $(this._options._body), this.$main = $(this._options._main), this.$contaienr = $(this._options._container), this._routes = this._options.routes;
				var t = this,
					s = $.getHash(location.href),
					p = this.getRoute(s);
				p && this._show(s);
				window.addEventListener("hashchange", function(w) {
					var n = $.getHash(w.newURL);
					t._show(n)
				}, false);
				return this
			},
			_show: function(s) {
				var t = this,
					u = this.getRoute(s),
					o = this._options,
					i = "",
					b = true;
				this.$main.show(), this.$contaienr.html("").hide();
				if (!u) {
					return false
				}
				if (this.$contaienr.length < 1) {
					var c = o._container.substring(1),
						$c = $('<div class="hashpage-container" id="' + c + '" />');
					o.cssClass && $c.addClass(o.cssClass), this.$body.append($c), this.$contaienr = $c
				}
				if ("function" == typeof(u.render)) {
					if ("undefined" != typeof(u.tpl)) {
						b = false, u.render(function(d) {
							i = template.render(u.tpl, d), t.$contaienr.html(i), "function" == typeof(u.complete) && (u.complete(t))
						}, t)
					} else {
						i = u.render(t)
					}
				} else {
					i = u.render
				}
				b && i && (t.$contaienr.html(i), "function" == typeof(u.complete) && (u.complete(t))), t.$main.hide(), t.$contaienr.show(), location.hash = "#" + s
			},
			_clear: function() {
				this.$main.show(), this.$contaienr.remove()
			},
			getRoute: function(s) {
				var t = this,
					r = null;
				if (!this._routes) {
					return r
				}
				if ("undefined" != typeof(this._routes[s]) || s == "/") {
					r = this._routes[s]
				} else {
					for (var i in this._routes) {
						var m = i.match(/\(\?(.*?)\?\)/g),
							o = this._routes[i],
							c = o.strict === false ? "" : "$",
							n = "";
						if (m) {
							n = i.replace(/\(\?/g, "(").replace(/\?\)/g, ")").replace(/\//g, "\\/")
						}
						if (n) {
							var e = "^" + n + c,
								reg = new RegExp(e);
							if (reg.test(s)) {
								r = o;
								var g = s.match(reg),
									j = 1,
									p = [];
								for (; j < g.length; j++) {
									p.push(g[j])
								}
								r.params = p;
								break
							}
						}
					}
				}
				return r ? r : null
			}
		},
		_form_post_ = function(f, o) {
			return o = o || {}, this.option = $.extend({}, {
				cssBtnSubLock: "mod-btn_disable"
			}, o), this.flag = true, this.$form = $(f), this.$submit = "undefined" != typeof(this.option.domSubmit) ? $(this.option.domSubmit) : $(".mod-btn_primary", this.$form), this.$toast = null, this.init(), this
		},
		_mold_ = {
			_htop: function() {
				return $(".top-head:visible").length > 0 ? $(".top-head:visible").height() : ($(".g-header:visible").length > 0 ? $(".g-header:visible").height() : 0)
			},
			loading: function(t) {
				var c = t ? t : "加载中",
					e = $('<div class="mod-loading">\n	<div class="mod-mask_transparent"></div>\n	<div class="mod-toast_content">\n	<i class="mod-icon_loading"></i>\n	<p class="mod-toast_text">' + c + '</p>\n	</div>\n	</div>'),
					m = e.find(".mod-mask_transparent");
				e.on("touchmove", function(e) {
					e.preventDefault()
				});
				this._htop() > 0 && m.css("top", this._htop() + "px"), $("body").append(e);
				return e
			},
			toast: function(t, b, d) {
				var c = t ? t : "",
					e = $(".mod-toast"),
					r = d ? d : 1500;
				if (c == "") {
					return e
				}
				e.length > 0 && e.remove();
				var o = $('<div class="mod-toast">\n	<div class="mod-toast_text">' + c + '</div>\n	</div>');
				$("body").append(o), e = o;
				if (window["mod_toast_timer"]) {
					clearTimeout(window["mod_toast_timer"])
				}
				window["mod_toast_timer"] = setTimeout(function() {
					e.remove(), b && b()
				}, r);
				return e
			},
			alert: function(t, o) {
				var c = t ? t : "",
					a = $(".mod-alert"),
					b = {
						css: "",
						title: "",
						btnText: "确定",
						callback: null
					},
					d;
				if (typeof(o) == "function") {
					d = b, d.callback = o
				} else {
					d = $.extend({}, b, o || {})
				};
				a.length > 0 && a.remove();
				var n = $('<div class="mod-alert' + (d.css && ' ' + d.css) + '">\n	<div class="mod-mask_transparent mod-animated_fadeIn"></div>\n	<div class="mod-alert_container mod-animated_zoomIn">\n		<div class="mod-alert_content">\n	' + (d.title && '<div class="mod-alert_title">' + d.title + '</div>\n') + (c && '<div class="mod-alert_text">' + c + '</div>\n') + '	</div>\n	<div class="mod-alert_btn"><a href="javascript:;">' + d.btnText + '</a></div>\n		</div>\n	</div>');
				n.on("touchmove", function(e) {
					e.preventDefault()
				});
				n.find(".mod-alert_btn a").on("click", function() {
					n.remove(), d.callback && d.callback()
				});
				$("body").append(n), a = n;
				return a
			},
			confirm: function(t, o, s) {
				var c = t ? t : "",
					a = $(".mod-confirm"),
					b = {
						css: "",
						title: "",
						btnCancelText: "取消",
						btnSureText: "确定",
						onCancel: null,
						onSure: null
					},
					d;
				if (typeof(o) == "function" || typeof(s) == "function") {
					d = b, d.onSure = o, d.onCancel = s
				} else {
					d = $.extend({}, b, o || {})
				};
				a.length > 0 && a.remove();
				var n = $('<div class="mod-confirm' + (d.css && ' ' + d.css) + '">\n	<div class="mod-mask_transparent mod-animated_fadeIn"></div>\n	<div class="mod-confirm_container mod-animated_zoomIn">\n		<div class="mod-confirm_content">\n	' + (d.title && '<div class="mod-confirm_title">' + d.title + '</div>\n') + (c && '<div class="mod-confirm_text">' + c + '</div>\n') + '	</div>\n	<div class="mod-confirm_btn"><a class="mod-confirm_btn-cancel" href="javascript:;">' + d.btnCancelText + '</a><a  class="mod-confirm_btn-sure" href="javascript:;">' + d.btnSureText + '</a></div>\n		</div>\n	</div>');
				n.on("touchmove", function(e) {
					e.preventDefault()
				});
				n.find(".mod-confirm_btn a").on("click", function() {
					var i = $(this).index();
					n.remove();
					if (i == 1) {
						d.onSure && d.onSure()
					} else {
						d.onCancel && d.onCancel()
					}
				});
				$("body").append(n), a = n;
				return a
			}
		},
		_pullrefresh_infinite_ = function(o) {
			var conf = {
				dragThreshold: 0.3,
				infiniteThreshold: 200,
				moveCount: 150,
				container: ".mod-pulldown-infinite_container",
				main: ".mod-pulldown-infinite_main",
				onRefresh: null,
				onInfinite: null
			},
				option = $.extend({}, conf, o);
			this.option = option, this.dragThreshold = option.dragThreshold, this.moveCount = option.moveCount, this.dragStart = null, this.percentage = 0, this.joinRefreshFlag = null, this.pullFlag = false, this.infiniteFlag = false, this.move = true, this._x = 0, this._y = 0, this.maxTranslateY = 0, this.onRefresh = option.onRefresh, this.onInfinite = option.onInfinite, this.$container = $(option.container), this.$main = $(option.main)
		},
		_pullinfinite_list_ = function(o) {
			var conf = {
				dataMethod: o.dataMethod || "get",
				dataType: o.dataType || "json",
				dataAction: "",
				dataParams: {
					page_num: 1,
					page_size: 20
				},
				ajx: null,
				tpl: "",
				pullFlag: false,
				pullClear: true,
				infiniteFlag: false,
				end: false,
				container: ".mod-pulldown-infinite_container",
				list: ".mod-pulldown-infinite_main",
				afterInit: null,
				afterInfinite: null,
				complete: null
			},
				option = $.extend(true, {}, conf, o),
				t = this;
			this.option = option, this.$container = $(option.container), this.$list = $(option.list, this.$container), this.onceFlag = true, this.PullInfinite = null
		},
		_scroll_infinite_ = function(o) {
			var conf = {
				wrap: ".mod-scroll-infinite",
				container: ".mod-scroll-infinite_container",
				dataMethod: o.dataMethod || "get",
				dataType: o.dataType || "json",
				dataAction: "",
				dataParams: {
					page_num: 1,
					page_size: 20
				},
				ajx: null,
				tpl: "",
				infiniteFlag: true,
				threshold: 200,
				end: false,
				afterInit: null,
				afterInfinite: null,
				complete: null
			},
				option = $.extend(true, {}, conf, o);
			this.option = option, this.$wrap = $(option.wrap), this.$container = $(option.container, this.$wrap), this.$stateInfinite = null, this.onceFlag = true
		};
	_form_post_.prototype = {
		init: function() {
			var t = this;
			this.btnSubText = this.$submit.html();
			this.$submit.on("click", function() {
				t._post();
				return false
			});
			this.$form.on("submit", function() {
				t._post();
				return false
			})
		},
		verifyInput: function() {
			var b = true,
				t = this,
				o = this.option,
				input = o.input;
			if ("undefined" != typeof(input)) {
				$.each(input, function(n, e) {
					var d = $("*[name='" + n + "']", t.$form),
						v = $.trim(d.val()),
						ch = e.ch || "必填项",
						p = d.attr("tagType");
					if (v == "") {
						b = false;
						var m = "请输入" + ch;
						if (p || e.type) {
							p = p ? p.toLowerCase() : e.type;
							if (p == "select" || d.type == "radio") {
								m = "请选择" + ch
							} else {
								m = "请输入" + ch
							}
						}
						t._alert(m);
						return false
					} else {
						if (e.verify) {
							var f = e.verify(v);
							if (f !== true) {
								b = false;
								t._alert(e.errorMsg || f);
								return false
							}
						}
					}
				})
			}
			return b
		},
		_alert: function(s) {
			this.$toast = _mold_.toast(s)
		},
		_post: function() {
			var t = this,
				o = this.option,
				b = this.$submit,
				l;
			this.$toast && this.$toast.remove();
			if ("function" == typeof(o.before)) {
				if (o.before(t) === false) {
					return false
				}
			}
			if (b.hasClass(o.cssBtnSubLock)) {
				return false
			}
			if (!this.flag || !this.verifyInput()) {
				return false
			}
			var data = t.$form.serialize(),
				extdata = "";
			if ("function" == typeof(o.data)) {
				extdata = o.data()
			} else if ("object" == typeof(o.data)) {
				extdata = $.param(o.data)
			}
			extdata && (data += "&" + extdata), this.flag = false, b.addClass(o.cssBtnSubLock);
			if ("function" == typeof(o.loading)) {
				if (o.loading(t) === false) {
					return false
				}
			} else {
				l = _mold_.loading("正在提交")
			}
			$.ajax({
				type: o.ajType || "post",
				url: o.action,
				data: data,
				dataType: o.ajDataType || "json",
				xhrFields: {
					withCredentials: true
				},
				success: function(res) {
					l && l.remove();
					if (0 === res.retcode) {
						if ("function" == typeof(o.success)) {
							if (o.success(res) === false) {
								return false
							}
						}
						_mold_.toast(res.message, function() {
							window.location.href = window.location
						})
					} else {
						if ("function" == typeof(o.failed)) {
							if (o.failed(res) === false) {
								return false
							}
						}
						t.flag = true, b.removeClass(o.cssBtnSubLock).text(t.btnSubText), t._alert(res.message)
					}
					if ("function" == typeof(o.after)) {
						if (o.after(res) === false) {
							return false
						}
					}
				},
				error: function() {
					t.flag = true;
					b.removeClass(o.cssBtnSubLock).text(t.btnSubText);
					l && l.remove();
					t._alert("系统异常，请刷新重试")
				}
			})
		}
	};
	_pullrefresh_infinite_.prototype = {
		init: function() {
			if (!this.$container) {
				return false
			}
			if (this.onRefresh) {
				this.$container.prepend('<div class="state-pulldown"><span class="state-pulldown_indicator"><i class="state-pulldown_icon"></i></span><span class="state-pulldown_text">下拉刷新</span></div>'), this.$statePulldown = this.$container.find(".state-pulldown"), this.maxTranslateY = this.$statePulldown.height(), this.$statePulldown_indicator = this.$statePulldown.find(".state-pulldown_indicator"), this.$statePulldown_text = this.$statePulldown.find(".state-pulldown_text")
			}
			if (this.onInfinite) {
				this.$container.append('<div class="state-infinite"></div>'), this.$stateInfinite = this.$container.find(".state-infinite"), this.stateInfinite()
			}
			this.bindEvent()
		},
		bindEvent: function() {
			if (this.onRefresh) {
				this.$container.on("touchstart", this.touchstartEvent.bind(this));
				this.$container.on("touchmove", this.touchmoveEvent.bind(this));
				this.$container.on("touchend", this.touchendEvent.bind(this))
			}
			this.onInfinite && this.$container.on("scroll", this.initInfinite.bind(this))
		},
		touchstartEvent: function(e) {
			this.move = true;
			var t = e.touches[0],
				n = t.clientX,
				r = t.clientY;
			this._x = n, this._y = r, this.dragStart = r, this.$container.css("-webkit-transition", "none")
		},
		touchmoveEvent: function(e) {
			if (null !== this.dragStart) {
				var t = e.touches[0],
					n = t.clientX,
					r = t.clientY;
				if (this.move) {
					if (Math.abs(n - this._x) - Math.abs(r - this._y) > 0) {
						return void(this.move = false)
					}
					var o = this.$container.scrollTop();
					if (0 == o && !this.pullFlag) {
						this.percentage = (this.dragStart - r) / window.screen.height;
						if (this.percentage < 0) {
							e.preventDefault();
							var i = -this.percentage * this.moveCount,
								a = -this.percentage / this.dragThreshold;
							i > this.maxTranslateY && (i = this.maxTranslateY);
							a > 1 && (a = 1);
							var d = a * 360;
							this.joinRefreshFlag = true;
							if (Math.abs(this.percentage) > this.dragThreshold && this.percentage > 0) {
								this.$container.css("-webkit-transform", "translate3d(0," + i + "px,0)"), this.$statePulldown_indicator.css("-webkit-transform", "rotate(" + d + "deg)")
							} else {
								this.$container.css("-webkit-transform", "translate3d(0," + i + "px,0)"), this.$statePulldown_indicator.css("-webkit-transform", "rotate(" + d + "deg)")
							}
							this.$statePulldown_text.text(Math.abs(this.percentage) > this.dragThreshold ? "释放刷新" : "下拉刷新")
						} else {
							null == this.joinRefreshFlag && (this.joinRefreshFlag = false)
						}
					} else {
						null == this.joinRefreshFlag && (this.joinRefreshFlag = false)
					}
				}
			}
		},
		touchendEvent: function(e) {
			if (0 !== this.percentage) {
				if (Math.abs(this.percentage) > this.dragThreshold && this.joinRefreshFlag) {
					this.$container.css("-webkit-transition", "330ms"), this.$statePulldown.addClass("state-pulldown_loading"), this.$container.css("-webkit-transform", "translate3d(0, " + this.moveCount * this.dragThreshold + "px, 0)"), this.pullFlag = true, this.$statePulldown_text.text("正在加载"), this.$stateInfinite && this.$container.css("padding-bottom", this.$stateInfinite.height() + "px"), this.onRefresh && this.onRefresh()
				} else {
					if (this.joinRefreshFlag) {
						this.$container.css("-webkit-transition", "330ms"), this.$container.css("-webkit-transform", "translate3d(0,0,0)"), this.$statePulldown_indicator.css("-webkit-transform", "rotate(0)"), this.$statePulldown.removeClass("state-pulldown_loading")
					}
					this.pullFlag = false, this.changeOneTimeFlag = false, this.joinRefreshFlag = null, this.dragStart = null
				}
				this.percentage = 0
			}
		},
		initInfinite: function() {
			var m = this.$main.height(),
				h = this.$container.height(),
				i = this.$container.scrollTop();
			this.$statePulldown && (m = m + this.$statePulldown.height()), this.$stateInfinite && (m = m + this.$stateInfinite.height());
			if (i > 0 && m - h - i < this.option.infiniteThreshold && !this.infiniteFlag) {
				this.infiniteFlag = true;
				this.onInfinite()
			}
			this.option.scrollCallback && this.option.scrollCallback(this)
		},
		resetPulldown: function() {
			this.$container.css("-webkit-transform", "translate3d(0,0,0)"), this.$statePulldown_indicator.css("-webkit-transform", "rotate(0)"), this.$statePulldown.removeClass("state-pulldown_loading"), this.$statePulldown_text.text("下拉刷新"), this.pullFlag = false, this.percentage = 0, this.$stateInfinite && (this.$container.css("padding-bottom", 0), this.infiniteFlag = false)
		},
		resetInfinite: function() {
			this.infiniteFlag = false
		},
		stateInfinite: function(s) {
			var c = '';
			if (s === false) {
				c = '<a href="javascript:;">加载失败，点此重试</a>'
			} else if ("string" == typeof(s)) {
				c = s
			} else {
				c = '<span class="state-infinite_icon"></span>加载中...'
			}
			this.$stateInfinite.html(c).show(), s === false && this.option.errorInfinite && this.option.errorInfinite(this)
		}
	};
	_pullinfinite_list_.prototype = {
		init: function() {
			this._load();
			this.initData();
			this.initEvent()
		},
		initData: function() {
			var t = this,
				o = this.option;
			this.getData(function(d) {
				var c = t.render(d.list);
				if (o.pullClear) {
					c ? (t.$list.html(c), o.end ? t.PullInfinite.stateInfinite("已加载全部") : t.PullInfinite.stateInfinite()) : (t._load(0), t.PullInfinite.$stateInfinite.hide())
				} else {
					if (c) {
						t.$list.html(c), o.end ? t.PullInfinite.stateInfinite("已加载全部") : t.PullInfinite.stateInfinite()
					} else {
						t.onceFlag && (t._load(0), t.PullInfinite.$stateInfinite.hide());
						if (!t.onceFlag && t.PullInfinite.$stateInfinite.is(":visible")) {
							t.PullInfinite.stateInfinite("已加载全部")
						}
					}
				}
				t.PullInfinite.$container.scrollTop(0), t.PullInfinite.infiniteFlag = false, t.PullInfinite.pullFlag && t.PullInfinite.resetPulldown(), o.afterInit && o.afterInit(d, t), o.complete && o.complete(d, t)
			})
		},
		initEvent: function() {
			var t = this;
			$(this.$container).on("click", ".mod-loading-container_error", function() {
				t._load(), t.initData()
			})
		},
		getData: function(e, a) {
			var t = this,
				o = this.option,
				s = a,
				j = $.extend({}, {
					type: o.dataMethod,
					url: o.dataAction,
					data: o.dataParams,
					dataType: o.dataType,
					xhrFields: {
						withCredentials: true
					},
					success: function(res) {
						if (0 === res.retcode) {
							try {
								if (res.data.list.length < o.dataParams.page_size) {
									t.option.end = true
								} else {
									t.option.end = false
								}
								e(res.data), t.onceFlag && (t.onceFlag = false)
							} catch (err) {
								t.error(s)
							}
						} else {
							t.error(s), _mold_.toast(res.message)
						}
					},
					error: function() {
						t.error(s)
					}
				}, o.ajx ? o.ajx : {});
			$.ajax(j)
		},
		render: function(d) {
			var t = this,
				o = this.option,
				c = null;
			if (!t.PullInfinite) {
				t.PullInfinite = new PullRefreshInfinite($.extend({}, {
					container: t.$container,
					onRefresh: function() {
						t._refresh()
					},
					onInfinite: function() {
						t._infinite()
					},
					errorInfinite: function(e) {
						e.$stateInfinite.find("a").off().on("click", function() {
							e.stateInfinite();
							t._infinite({
								page_num: o.dataParams.page_num
							})
						})
					}
				}, o));
				t.PullInfinite.init()
			}
			if (typeof(d) == "object" && d.length > 0) {
				c = document.createDocumentFragment();
				for (var i = 0; i < d.length; i++) {
					var it = "function" == typeof(o.tpl) ? o.tpl(d[i]) : template.render(o.tpl, d[i]);
					$(it).appendTo(c)
				}
			}
			return c
		},
		error: function(s) {
			var t = this;
			if (this.onceFlag) {
				this._load(false)
			} else {
				if (1 === s) {
					this.PullInfinite.stateInfinite(false)
				} else {
					t.PullInfinite.pullFlag && t.PullInfinite.resetPulldown();
					if (this.option.pullClear) {
						this._load(false), t.PullInfinite.$stateInfinite.hide()
					}
				}
			}
		},
		_load: function(s) {
			var m = '';
			if (false === s) {
				m = '<div class="mod-loading-container mod-loading-container_error"><div class="msg">加载失败，点击重试</div></div>'
			} else if (0 === s) {
				m = '<div class="mod-loading-container"><div class="msg">暂无相关信息</div></div>'
			} else {
				m = '<div class="mod-loading-container"><div class="mod-icon_loading"></div>'
			}
			this.$list.html(m)
		},
		_refresh: function(a) {
			this.option.end = false, a ? this.option.dataParams = $.extend({}, this.option.dataParams, a) : this.option.dataParams.page_num = 1, this.initData()
		},
		_infinite: function(a) {
			var t = this,
				o = this.option;
			if (this.PullInfinite.infiniteFlag && !o.end) {
				if (a) {
					this.option.dataParams = $.extend({}, o.dataParams, a)
				} else {
					this.option.dataParams.page_num++
				}
				this.getData(function(d) {
					var c = t.render(d.list);
					c && t.$list.append(c), t.PullInfinite.resetInfinite(), o.end ? t.PullInfinite.stateInfinite("已加载全部") : t.PullInfinite.stateInfinite(), o.afterInfinite && o.afterInfinite(d, t), o.complete && o.complete(d, t)
				}, 1)
			}
		}
	};
	_scroll_infinite_.prototype = {
		init: function() {
			this._load(), this.initData(), this.onceFlag && this.initEvent()
		},
		initData: function() {
			var t = this,
				o = this.option;
			this.getData(function(d) {
				var c = t.render(d.list);
				c ? (t.$container.html(c), o.end ? t.stateInfinite("已加载全部") : t.stateInfinite()) : (t._load(0), t.$stateInfinite.hide()), t.option.infiniteFlag = true, o.afterInit && o.afterInit(d, t), o.complete && o.complete(d, t)
			})
		},
		initEvent: function() {
			var t = this;
			$(window).on("scroll", this._infinite.bind(this));
			$(this.$container).on("click", ".mod-loading-container_error", function() {
				t._load(), t.initData()
			});
			$(this.$wrap).on("click", ".state-infinite a", function() {
				t.stateInfinite(), t.onInfinite({
					page_num: t.option.dataParams.page_num
				})
			})
		},
		getData: function(e, a) {
			var t = this,
				o = this.option,
				s = a,
				j = $.extend({}, {
					type: o.dataMethod,
					url: o.dataAction,
					data: o.dataParams,
					dataType: o.dataType,
					xhrFields: {
						withCredentials: true
					},
					success: function(res) {
						if (0 === res.retcode) {
							if (res.data.list.length < o.dataParams.page_size) {
								t.option.end = true
							} else {
								t.option.end = false
							}
							e(res.data), t.onceFlag && (t.onceFlag = false)
						} else {
							t.error(s)
						}
					},
					error: function() {
						t.error(s)
					}
				}, o.ajx ? o.ajx : {});
			$.ajax(j)
		},
		render: function(d) {
			var t = this,
				o = this.option,
				c = null;
			if (!this.$stateInfinite) {
				this.$wrap.append('<div class="state-infinite"></div>'), this.$stateInfinite = this.$wrap.find(".state-infinite"), this.stateInfinite()
			}
			if (typeof(d) == "object" && d.length > 0) {
				c = document.createDocumentFragment();
				for (var i = 0; i < d.length; i++) {
					var it = "function" == typeof(o.tpl) ? o.tpl(d[i]) : template.render(o.tpl, d[i]);
					$(it).appendTo(c)
				}
			}
			return c
		},
		error: function(s) {
			if (s === 1) {
				this.stateInfinite(false)
			} else {
				this._load(false), this.$stateInfinite && this.$stateInfinite.hide()
			}
		},
		_load: function(s) {
			var m = '';
			if (false === s) {
				m = '<div class="mod-loading-container mod-loading-container_error"><div class="msg">加载失败，点击重试</div></div>'
			} else if (0 === s) {
				m = '<div class="mod-loading-container"><div class="msg">暂无相关信息</div></div>'
			} else {
				m = '<div class="mod-loading-container"><div class="mod-icon_loading"></div>'
			}
			this.$stateInfinite && this.$stateInfinite.hide(), this.$container.html(m)
		},
		_refresh: function(a) {
			this.option.end = false, this.option.infiniteFlag = false, a ? this.option.dataParams = $.extend({}, this.option.dataParams, a) : this.option.dataParams.page_num = 1, this.initData()
		},
		_infinite: function(a) {
			var t = this,
				o = this.option,
				H = $(window).height(),
				h = this.$wrap.height(),
				i = $(window).scrollTop();
			if (i > 0 && h > H && h - H - i < o.threshold && o.infiniteFlag && !o.end) {
				this.option.infiniteFlag = false, o.onInfinite ? o.onInfinite() : this.onInfinite()
			}
		},
		stateInfinite: function(s) {
			var c = '';
			if (s === false) {
				c = '<a href="javascript:;">加载失败，点此重试</a>'
			} else if ("string" == typeof(s)) {
				c = s
			} else {
				c = '<span class="state-infinite_icon"></span>加载中...'
			}
			this.$stateInfinite.html(c).show(), s === false && this.option.errorInfinite && this.option.errorInfinite(this)
		},
		onInfinite: function(a) {
			var t = this,
				o = this.option;
			if (a) {
				this.option.dataParams = $.extend({}, o.dataParams, a)
			} else {
				this.option.dataParams.page_num++
			}
			this.getData(function(d) {
				var c = t.render(d.list);
				c && t.$container.append(c), t.option.infiniteFlag = true, o.end ? t.stateInfinite("已加载全部") : t.stateInfinite(), o.afterInfinite && o.afterInfinite(d, t), o.complete && o.complete(d, t)
			}, 1)
		}
	};
	$.extend(win, {
		Core: _core_,
		formPost: _form_post_,
		hashPage: _hash_page_,
		Mold: _mold_,
		PullRefreshInfinite: _pullrefresh_infinite_,
		PullInfiniteList: _pullinfinite_list_,
		ScrollInfinite: _scroll_infinite_
	})
})(window, document);
$(document).ready(function() {
	Core.init()
});